Index: content/content.ent
===================================================================
--- content/content.ent	(revision c5ee8b3293aac9a55f7333ca6e3c3c33ae9f61d7)
+++ content/content.ent	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -16,4 +16,6 @@
 <!ENTITY % apache SYSTEM "web/apache/apache.ent">
 <!ENTITY % php SYSTEM "web/php/php.ent">
+<!ENTITY % proftpd SYSTEM "web/proftpd/proftpd.ent">
 %apache;
 %php;
+%proftpd;
Index: content/web/proftpd.xml
===================================================================
--- content/web/proftpd.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
+++ content/web/proftpd.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -0,0 +1,12 @@
+<sect1 id="proftpd" xreflabel="ProFTPD-&proftpd-version;">
+<?dbhtml filename="proftpd.html" dir="content"?>
+<title>ProFTPD-&proftpd-version;</title>
+
+&proftpd-intro;
+&proftpd-inst;
+&proftpd-exp;
+&proftpd-config;
+&proftpd-desc;
+
+</sect1>
+
Index: content/web/proftpd/proftpd-config.xml
===================================================================
--- content/web/proftpd/proftpd-config.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
+++ content/web/proftpd/proftpd-config.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -0,0 +1,128 @@
+<sect2>
+<title>Configuring <application>ProFTPD</application></title>
+
+<sect3><title>Config files</title>
+
+<para><filename>/etc/proftpd.conf</filename></para>
+<para>This is a simple, download-only sample configuration. See the ProFTPD
+documentation in <filename class="directory">/usr/share/doc/proftpd</filename>
+and consult the website at <ulink url="http://www.proftpd.net/"/>
+ for example configurations.</para>
+
+<para><screen><userinput><command>cat &gt; /etc/proftpd.conf &lt;&lt; "EOF"</command>
+# This is a basic ProFTPD configuration file
+# It establishes a single server and a single anonymous login.
+
+ServerName			"ProFTPD Default Installation"
+ServerType			standalone
+DefaultServer			on
+
+# Port 21 is the standard FTP port.
+Port				21
+# Umask 022 is a good standard umask to prevent new dirs and files
+# from being group and world writable.
+Umask				022
+
+# To prevent DoS attacks, set the maximum number of child processes
+# to 30.  If you need to allow more than 30 concurrent connections
+# at once, simply increase this value.  Note that this ONLY works
+# in standalone mode, in inetd mode you should use an inetd server
+# that allows you to limit maximum number of processes per service
+# (such as xinetd)
+MaxInstances			30
+
+# Set the user and group that the server normally runs at.
+User				proftpd
+Group				proftpd
+
+# Normally, we want files to be overwriteable.
+&lt;Directory /*&gt;
+  AllowOverwrite		on
+&lt;/Directory&gt;
+
+# A basic anonymous configuration, no upload directories.
+&lt;Anonymous ~proftpd&gt;
+  User				proftpd
+  Group				proftpd
+  # We want clients to be able to login with "anonymous" as well as "proftpd"
+  UserAlias			anonymous proftpd
+
+  # Limit the maximum number of anonymous logins
+  MaxClients			10
+
+  # We want 'welcome.msg' displayed at login, and '.message' displayed
+  # in each newly chdired directory.
+  DisplayLogin			welcome.msg
+  DisplayFirstChdir		.message
+
+  # Limit WRITE everywhere in the anonymous chroot
+  &lt;Limit WRITE&gt;
+    DenyAll
+  &lt;/Limit&gt;
+&lt;/Anonymous&gt;
+<command>EOF</command></userinput></screen></para></sect3>
+
+
+<sect3><title>proftpd init.d script</title>
+
+<para><screen><userinput><command>cat &gt; /etc/rc.d/init.d/proftp &lt;&lt; "EOF"</command>
+#!/bin/sh
+# Begin $rc_base/init.d/sshd
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+
+source /etc/sysconfig/rc
+source $rc_functions
+
+case "$1" in
+        start)
+	        echo "Starting FTP Server..."
+	        loadproc /usr/sbin/proftpd
+	        ;;
+
+	stop)
+	        echo "Stopping FTP Server..."
+	        killproc /usr/sbin/proftpd
+	        ;;
+
+	reload)
+	        echo "Reloading FTP Server..."
+	        reloadproc /usr/sbin/proftpd
+	        ;;
+	     
+	restart)
+	        $0 stop
+	        sleep 1
+	        $0 start
+	        ;;
+
+	status)
+	        statusproc /usr/sbin/proftpd
+	        ;;
+
+	*)
+	        echo "Usage: $0 {start|stop|reload|restart|status}"
+	        exit 1
+	        ;;
+esac
+
+# End $rc_base/init.d/sshd
+<command>EOF
+chmod 755 /etc/rc.d/init.d/proftpd</command></userinput></screen></para>
+
+<para>Create the symbolic links to this file in the relevant <filename
+class="directory">rc.d</filename> directories with the following commands:
+<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/proftpd ../rc0.d/K50proftpd &amp;&amp;
+ln -sf ../init.d/proftpd ../rc1.d/K50proftpd &amp;&amp;
+ln -sf ../init.d/proftpd ../rc2.d/K50proftpd &amp;&amp;
+ln -sf ../init.d/proftpd ../rc3.d/S50proftpd &amp;&amp;
+ln -sf ../init.d/proftpd ../rc4.d/S50proftpd &amp;&amp;
+ln -sf ../init.d/proftpd ../rc5.d/S50proftpd &amp;&amp;
+ln -sf ../init.d/proftpd ../rc6.d/K50proftpd</command></userinput></screen></para>
+
+</sect3>
+
+</sect2>
+
Index: content/web/proftpd/proftpd-desc.xml
===================================================================
--- content/web/proftpd/proftpd-desc.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
+++ content/web/proftpd/proftpd-desc.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -0,0 +1,31 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>ProFTPD</application> package contains
+<command>ftpcount</command>, <command>ftpshut</command>,
+<command>ftptop</command>, <command>ftpwho</command> and
+<command>proftpd</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>ftpcount</title>
+<para><command>ftpcount</command> shows current number of connections.</para></sect3>
+
+<sect3><title>ftpshut</title>
+<para><command>ftpshut</command> shuts down all proftpd servers at a
+given time.</para></sect3>
+
+<sect3><title>ftptop</title>
+<para><command>ftptop</command> displays running status on connections.</para></sect3>
+
+<sect3><title>ftpwho</title>
+<para><command>ftpwho</command> shows current process information for
+each session.</para></sect3>
+
+<sect3><title>proftpd</title>
+<para><command>proftpd</command> the deamon itself.</para></sect3>
+
+</sect2>
+
Index: content/web/proftpd/proftpd-exp.xml
===================================================================
--- content/web/proftpd/proftpd-exp.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
+++ content/web/proftpd/proftpd-exp.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -0,0 +1,20 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><command>install_user=proftpd install_groud=proftpd</command>
+: Specify the user and group identity for ProFTPD.</para>
+
+<para><command>--prefix=/usr</command>
+: This installs ProFTPD in <filename class="directory">/usr</filename>
+instead of <filename class="directory">/usr/local</filename>.</para>
+
+<para><command>--sysconfigdir=/etc</command>
+: This prevents the configuration files from going to
+<filename class="directory">/usr/etc</filename>.</para>
+
+<para><command>--localstatedir=/var</command>
+: This uses <filename class="directory">/var</filename> instead of
+<filename class="directory">/usr/var</filename> for lock and log files.</para>
+
+</sect2>
+
Index: content/web/proftpd/proftpd-inst.xml
===================================================================
--- content/web/proftpd/proftpd-inst.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
+++ content/web/proftpd/proftpd-inst.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -0,0 +1,20 @@
+<sect2>
+<title>Installation of <application>ProFTPD</application></title>
+
+<para>For security reasons, running <application>ProFTPD</application>
+as an unpriviledged user and group is encouraged.</para>
+
+<para><screen><userinput><command>groupadd proftpd &amp;&amp;
+useradd -c proftd -d /home/ftp -g proftpd -s /bin/false proftpd</command>
+</userinput></screen></para>
+
+<para>Install ProFTPD by running the following commands:</para>
+
+<para><screen><userinput><command>install_user=proftpd install_group=proftpd \
+&nbsp;&nbsp;&nbsp;./configure --prefix=/usr --sysconfdir=/etc \
+&nbsp;&nbsp;&nbsp;--localstatedir=/var &amp;&amp;
+make &amp;&amp;
+make install </command></userinput></screen></para>
+
+</sect2>
+
Index: content/web/proftpd/proftpd-intro.xml
===================================================================
--- content/web/proftpd/proftpd-intro.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
+++ content/web/proftpd/proftpd-intro.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -0,0 +1,22 @@
+<sect2>
+<title>Introduction to ProFTPD</title>
+
+<para>The <application>ProFTPD</application> package contains a secure and
+highly configurable FTP daemon. This is useful for serving large file archives
+over a network.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP):<ulink url="&proftpd-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&proftpd-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &proftpd-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &proftpd-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &proftpd-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>ProFTPD</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="Linux_PAM"/></para></sect4>
+</sect3>
+
+</sect2>
Index: content/web/proftpd/proftpd.ent
===================================================================
--- content/web/proftpd/proftpd.ent	(revision 15984265fa65e288b4740759d41a0e78605e970d)
+++ content/web/proftpd/proftpd.ent	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -0,0 +1,12 @@
+<!ENTITY proftpd SYSTEM "../proftpd.xml">
+<!ENTITY proftpd-intro SYSTEM "proftpd-intro.xml">
+<!ENTITY proftpd-inst SYSTEM "proftpd-inst.xml">
+<!ENTITY proftpd-exp SYSTEM "proftpd-exp.xml">
+<!ENTITY proftpd-desc SYSTEM "proftpd-desc.xml">
+<!ENTITY proftpd-config SYSTEM "proftpd-config.xml">
+<!ENTITY proftpd-buildsize "6.2 MB">
+<!ENTITY proftpd-version "1.2.8">
+<!ENTITY proftpd-download-http "">
+<!ENTITY proftpd-download-ftp "ftp://ftp.proftpd.org/distrib/source/proftpd-&proftpd-version;.tar.bz2">
+<!ENTITY proftpd-size "0.7 MB">
+<!ENTITY proftpd-time "0.6 SBU">
Index: content/web/web.xml
===================================================================
--- content/web/web.xml	(revision c5ee8b3293aac9a55f7333ca6e3c3c33ae9f61d7)
+++ content/web/web.xml	(revision 15984265fa65e288b4740759d41a0e78605e970d)
@@ -5,4 +5,5 @@
 &apache;
 &php; 
+&proftpd;
 
 </chapter>