Index: kde/add/add.xml
===================================================================
--- kde/add/add.xml	(revision ff769b8c6178dd8b799a5e122a2e6a5d69a22a2c)
+++ kde/add/add.xml	(revision 016543851d4380ac774b922272abcb160ca9bd89)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
@@ -7,29 +7,30 @@
 
 <chapter id="kde-add">
-<?dbhtml filename="add.html"?>
-<title>KDE Additional Packages</title>
+  <?dbhtml filename="add.html"?>
 
-<para>Each of the packages in this chapter depend on the base KDE installation procedures,
-but each is an independent group of programs that can be optionally installed.  Few 
-users will want to install every package, but instead review and install only the ones 
-desired.</para>
+  <title>KDE Additional Packages</title>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeadmin.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdenetwork.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdepim.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdemultimedia.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdegraphics.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeutils.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeedu.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdesdk.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdevelop.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdewebdev.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdebindings.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeaccessibility.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdetoys.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdegames.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeartwork.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeaddons.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kde-i18n.xml"/>
+  <para>Each of the packages in this chapter depend on the base KDE installation 
+  procedures, but each is an independent group of programs that can be optionally 
+  installed.  Few users will want to install every package, but instead review and 
+  install only the ones desired.</para>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeadmin.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdenetwork.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdepim.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdemultimedia.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdegraphics.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeedu.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdesdk.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdevelop.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdewebdev.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdebindings.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeaccessibility.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdetoys.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdegames.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeartwork.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kdeaddons.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kde-i18n.xml"/>
 
 </chapter>