Index: xsoft/other/gimp-systemd.xml
===================================================================
--- xsoft/other/gimp-systemd.xml	(revision 17546130da72e8be2e5afdaf6cceabfe1d0be2f6)
+++ xsoft/other/gimp-systemd.xml	(revision 17546130da72e8be2e5afdaf6cceabfe1d0be2f6)
@@ -0,0 +1,577 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gimp-download-http "http://download.gimp.org/pub/gimp/v2.8/gimp-&gimp-version;.tar.bz2">
+  <!ENTITY gimp-download-ftp  " ">
+  <!ENTITY gimp-md5sum        "233c948203383fa078434cc3f8f925cb">
+  <!ENTITY gimp-size          "20 MB">
+  <!ENTITY gimp-buildsize     "642 MB (additional 553 MB to run the test suite,
+                                the help files add from 307 MB (en only) to
+                                reputedly 1.3 GB (all 18 languages), typically
+                                increasing by 60 MB per translation)">
+  <!ENTITY gimp-time          "4.2 SBU (additional 0.9 SBU to run the test
+                                suite, and for the help files, from 0.6 SBU (en
+                                only) to reputedly 19 SBU (all) - typically 1.3
+                                SBU per translation)">
+
+  <!ENTITY gimp-help-version  "2.8.2">
+  <!ENTITY gimp-help-download "http://download.gimp.org/pub/gimp/help/gimp-help-&gimp-help-version;.tar.bz2">
+  <!ENTITY gimp-help-md5sum   "a591c8974b2f4f584d0a769d52ed6c5b">
+  <!ENTITY gimp-help-size     "152 MB">
+]>
+
+<sect1 id="gimp" xreflabel="Gimp-&gimp-version;">
+  <?dbhtml filename="gimp.html" ?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Gimp-&gimp-version;</title>
+
+  <indexterm zone="gimp">
+    <primary sortas="a-Gimp">Gimp</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Gimp</title>
+
+    <para>
+      The <application>Gimp</application> package contains
+      the GNU Image Manipulation Program which is useful for
+      photo retouching, image composition and image authoring.
+    </para>
+
+    &lfs76_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gimp-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gimp-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gimp-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gimp-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gimp-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gimp-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Optional help files: <ulink url="&gimp-help-download;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gimp-help-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gimp-help-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Optional patch:
+          <ulink url="&patch-root;/gimp-&gimp-version;-device_info-1.patch"/>
+        </para>
+      </listitem>
+<!--      <listitem>
+        <para>
+          Compressed Patch MD5 sum: 5312793a67132131a6e3360e76f392e4
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+         Compressed Patch size: 486 KB
+        </para>
+      </listitem> -->
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Gimp Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gegl"/> and
+      <xref linkend="gtk2"/> 
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="pygtk"/> (including the gtk and pango modules)
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="aalib"/>,
+      <xref linkend="alsa-lib"/>,
+      <xref linkend="curl"/>,
+      <xref linkend="dbus-glib"/>,
+      <xref linkend="gs"/> (with libgs installed),
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="gvfs"/>,
+      <xref linkend="iso-codes"/>,
+      <xref linkend="jasper"/>,
+      <xref linkend="lcms"/> or <xref linkend="lcms2"/>,
+      <xref linkend="libexif"/>,
+      <xref linkend="libmng"/>,
+      <xref linkend="librsvg"/>,
+      <ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>,
+      <xref linkend="poppler"/>,
+      an <xref linkend="server-mail"/> (that provides a
+      <command>sendmail</command> program),
+      <xref linkend="systemd"/> (for GUdev), and
+      <xref linkend="webkitgtk2"/> (Compiled against GTK+ 2, required for the help-plugin)
+    </para>
+
+    <bridgehead renderas="sect4">Optional, for optimizing the PNG files in the
+    help system</bridgehead>
+    <para role="optional">
+      <ulink url="http://pngnq.sourceforge.net/">pngnq</ulink> and
+      <ulink url="http://pmt.sourceforge.net/pngcrush/">pngcrush</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/gimp"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Gimp</title>
+
+    <para>
+      In order to get rid of an annoying message when running from a terminal
+      and/or if you wish to run the test suite, optionally use the
+      following patch:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../gimp-&gimp-version;-device_info-1.patch</userinput></screen>
+
+    <para>
+      Install <application>Gimp</application> by running
+      the following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc --without-gvfs &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results (requires an X-Windowed terminal) issue:
+      <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem>
+      user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+    <para>
+      The <filename>gimp-help</filename> tarball contains images and English
+      text help for help files, together with translations. It is
+      &quot;work in progress&quot;.
+    </para>
+
+    <para>
+      If you downloaded the <filename>gimp-help</filename> tarball, unpack
+      it and change into the root of the newly created source tree. Prepare for
+      the build with the following command:
+    </para>
+
+<screen><userinput>ALL_LINGUAS=&quot;ca da de el en en_GB es fr it ja ko nl nn pt_BR ru sl sv zh_CN&quot; \
+./configure --prefix=/usr &amp;&amp;</userinput></screen>
+
+    <para>
+      Remove from <envar>ALL_LINGUAS</envar> the codes for any languages which
+      you do not wish to install. Alternatively, remove the line starting with
+      <envar>ALL_LINGUAS</envar>, if you wish to build all languages. 
+    </para>
+
+<!--    <para>
+      Alternatively, if you wish to build languages including Catalan,
+      apply the patch:
+    </para>
+
+<screen role="nodump"><userinput>xzcat ../gimp-help-2.8.0-build_fixes-1.patch.xz \
+ | patch -p1 &amp;&amp;
+./autogen.sh -prefix=/usr &amp;&amp;</userinput></screen>
+
+    <para>
+      Again, you can specify a subset of languages by specifying
+      <envar>ALL_LINGUAS</envar> in front of <command>./autogen.sh</command>, but
+      this time including &quot;ca&quot;.
+    </para>
+ -->
+    <para>
+      Now build the help files:
+    </para>
+
+<screen><userinput>make</userinput></screen>
+
+    <para>
+      Issue the following commands as the
+      <systemitem class="username">root</systemitem> user to install the help
+      files:
+    </para>
+
+<screen role="root"><userinput>make install &amp;&amp;
+chown -R root:root /usr/share/gimp/2.0/help</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
+
+  </sect2>
+
+  <sect2 role="commands" id="gimp-cmd-explanations">
+    <title>Command Explanations</title>
+
+    <para>
+      <envar>ALL_LINGUAS=&quot;ca da de el en en_GB ...&quot;</envar>: by
+      default, the help files will be rendered in all the available languages.
+      Remove the codes of any languages you do not wish to build.
+    </para>
+
+    <para>
+      <parameter>--without-gvfs</parameter>: the choice of the backend to
+      handle URI information, e.g., when dragging images from a browser into the
+      <application>Gimp</application>, is made at compile time.  This parameter will
+      ensure that <application>cURL</application> is used at run-time, instead of
+      <application>Gvfs</application>.  You can omit this if you are installing
+      <application>Gvfs</application> AND will be running <command>gvfsd</command>,
+      e.g., in a <application>GNOME</application> desktop.
+    </para>
+
+    <para><option>--disable-python</option>: This option is necessary if
+    you have not installed <application>PyGTK</application>.</para>
+
+<!--<para>
+      <command>./autogen.sh</command> <parameter>-prefix=/usr</parameter>: In this case, using
+      <command>autoreconf</command> to regenerate <filename>configure</filename>
+      does not work, because of how the gimp-help developers chose to address
+      problems with the autotools.
+    </para>
+
+    <para>
+      <command>xzcat ../gimp-help-2.8.0-build_fixes-1.patch.xz</command>:
+      this patch is large, so it has been compressed with
+      <application>xz</application>. You are encouraged to be suspicious of
+      all patches until you have looked at them. Use <command>view</command>
+      to read the compressed patch before you apply it.
+    </para>
+-->
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring The Gimp</title>
+
+    <sect3 id="gimp-config">
+      <title>Config Files</title>
+
+      <para>
+        <filename>/etc/gimp/2.0/*</filename> and
+        <filename>~/.gimp-2.8/gimprc</filename>
+      </para>
+
+      <indexterm zone="gimp gimp-config">
+        <primary sortas="e-AA.gimp-2.0/gimprc">~/.gimp-2.0/gimprc</primary>
+      </indexterm>
+
+      <indexterm zone="gimp gimp-config">
+        <primary sortas="e-etc-gimp-2.0-star">/etc/gimp/2.0/*</primary>
+      </indexterm>
+
+    </sect3>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>
+        The <application>Gimp</application> executes a configuration wizard
+        for each user upon their initial use of the program.
+      </para>
+
+      <para>
+        The <application>Gimp</application> executes the
+        <command>firefox</command> web browser by default to view the help
+        files. If you do not have <application>Firefox</application>, or
+        prefer a different web browser, you can set a new system value in
+        <filename>/etc/gimp/2.0/gimprc</filename>. Execute the following
+        command as the <systemitem class="username">root</systemitem> user,
+        replacing <replaceable>&lt;browser&gt;</replaceable> with your
+        preferred web browser:
+      </para>
+
+<screen role="root"><userinput>echo '(web-browser "<replaceable>&lt;browser&gt;</replaceable> %s")' &gt;&gt; /etc/gimp/2.0/gimprc</userinput></screen>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          gimp, gimp-2.8, gimp-console, gimp-console-2.8 and
+          gimptool-2.0
+        </seg>
+        <seg>
+          libgimp-2.0.so, libgimpbase-2.0.so, libgimpcolor-2.0.so,
+          libgimpconfig-2.0.so, libgimpmath-2.0.so, libgimpmodule-2.0.so,
+          libgimpthumb-2.0.so, libgimpui-2.0.so and libgimpwidgets-2.0.so
+        </seg>
+        <seg>
+          /etc/gimp,
+          /usr/include/gimp-2.0,
+          /usr/lib/gimp,
+          /usr/share/gimp,
+          /usr/share/gtk-doc/html/{libgimp,libgimpbase,libgimpcolor},
+          /usr/share/gtk-doc/html/{libgimpconfig,libgimpmath},
+          /usr/share/gtk-doc/html/{libgimpmodule,libgimpthumb} and
+          /usr/share/gtk-doc/html/libgimpwidgets
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gimp-prog">
+        <term><command>gimp</command></term>
+        <listitem>
+          <para>
+            is a symbolic link to <command>gimp-2.8</command>.
+          </para>
+          <indexterm zone="gimp gimp-prog">
+            <primary sortas="b-gimp">gimp</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gimp-2.8">
+        <term><command>gimp-2.8</command></term>
+        <listitem>
+          <para>
+            is the Gnu Image Manipulation Program. It works with a variety
+            of image formats and provides a large selection of tools.
+          </para>
+          <indexterm zone="gimp gimp-2.8">
+            <primary sortas="b-gimp-2.8">gimp-2.8</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gimp-console">
+        <term><command>gimp-console</command></term>
+        <listitem>
+          <para>
+            is a symbolic link to <command>gimp-console-2.8</command>.
+          </para>
+          <indexterm zone="gimp gimp-console">
+            <primary sortas="b-gimp-console">gimp-console</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gimp-console-2.8">
+        <term><command>gimp-console-2.8</command></term>
+        <listitem>
+          <para>
+            is a console program that behaves as if The
+            <application>Gimp</application> was called with the
+            <option>--no-interface</option> command-line option.
+          </para>
+          <indexterm zone="gimp gimp-console-2.8">
+            <primary sortas="b-gimp-console-2.8">gimp-console-2.8</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gimptool-2.0">
+        <term><command>gimptool-2.0</command></term>
+        <listitem>
+          <para>
+            is a tool that can build plug-ins or scripts and install them
+            if they are distributed in one source file.
+            <command>gimptool-2.0</command> can also be used by programs that
+            need to know what libraries and include-paths The
+            <application>Gimp</application> was compiled with.
+          </para>
+          <indexterm zone="gimp gimptool-2.0">
+            <primary sortas="b-gimptool-2.0">gimptool-2.0</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimp-2.0">
+        <term><filename class="libraryfile">libgimp-2.0.so</filename></term>
+        <listitem>
+          <para>
+            provides C bindings for The <application>Gimp</application>'s
+            Procedural Database (PDB) which offers an interface to core functions
+            and to functionality provided by plug-ins.
+          </para>
+          <indexterm zone="gimp libgimp-2.0">
+            <primary sortas="c-libgimp-2.0">libgimp-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpbase-2.0">
+        <term><filename class="libraryfile">libgimpbase-2.0.so</filename></term>
+        <listitem>
+          <para>
+            provides the C functions for basic
+            <application>Gimp</application> functionality such as determining
+            enumeration data types, gettext translation, determining The
+            <application>Gimp</application>'s version number and capabilities,
+            handling data files and accessing the environment.
+          </para>
+          <indexterm zone="gimp libgimpbase-2.0">
+            <primary sortas="c-libgimpbase-2.0">libgimpbase-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpcolor-2.0">
+        <term><filename
+        class="libraryfile">libgimpcolor-2.0.so</filename></term>
+        <listitem>
+          <para>
+            provides the C functions relating to RGB, HSV and CMYK colors as
+            well as converting colors between different color models and
+            performing adaptive supersampling on an area.
+          </para>
+          <indexterm zone="gimp libgimpcolor-2.0">
+            <primary sortas="c-libgimpcolor-2.0">libgimpcolor-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpconfig-2.0">
+        <term><filename
+        class="libraryfile">libgimpconfig-2.0.so</filename></term>
+        <listitem>
+          <para>
+            contains C functions for reading and writing config information.
+          </para>
+          <indexterm zone="gimp libgimpconfig-2.0">
+            <primary sortas="c-libgimpconfig-2.0">libgimpconfig-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpmath-2.0">
+        <term><filename class="libraryfile">libgimpmath-2.0.so</filename></term>
+        <listitem>
+          <para>
+            contains C functions which provide mathematical definitions and
+            macros, manipulate 3x3 transformation matrices, set up and manipulate
+            vectors and the MD5 message-digest algorithm.
+          </para>
+          <indexterm zone="gimp libgimpmath-2.0">
+            <primary sortas="c-libgimpmath-2.0">libgimpmath-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpmodule-2.0">
+        <term><filename class="libraryfile">libgimpmodule-2.0.so</filename></term>
+        <listitem>
+          <para>
+            provides the C functions which implements module loading using
+            GModule and keeps a list of GimpModule's found in a given
+            searchpath.
+          </para>
+          <indexterm zone="gimp libgimpmodule-2.0">
+            <primary sortas="c-libgimpmodule-2.0">libgimpmodule-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpthumb-2.0">
+        <term><filename class="libraryfile">libgimpthumb-2.0.so</filename></term>
+        <listitem>
+          <para>
+            provides the C functions for handling The
+            <application>Gimp</application>'s thumbnail objects.
+          </para>
+          <indexterm zone="gimp libgimpthumb-2.0">
+            <primary sortas="c-libgimpthumb-2.0">libgimpthumb-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpui-2.0">
+        <term><filename class="libraryfile">libgimpui-2.0.so</filename></term>
+        <listitem>
+          <para>
+            contains The <application>Gimp</application>'s common user
+            interface functions.
+          </para>
+          <indexterm zone="gimp libgimpui-2.0">
+            <primary sortas="c-libgimpui-2.0">libgimpui-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpwidgets-2.0">
+        <term><filename class="libraryfile">libgimpwidgets-2.0.so</filename></term>
+        <listitem>
+          <para>
+            contains The <application>Gimp</application>
+            and <application>GTK</application>'s widget creation and
+            manipulation functions.
+          </para>
+          <indexterm zone="gimp libgimpwidgets-2.0">
+            <primary
+            sortas="c-libgimpwidgets-2.0">libgimpwidgets-2.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>