Index: general/graphlib/gegl.xml
===================================================================
--- general/graphlib/gegl.xml	(revision 44cd41edb3b52b071d3e276b0e8f0f29a36cbb88)
+++ general/graphlib/gegl.xml	(revision 17756081f4f2b787adeea4b9821c9473f77f9d91)
@@ -7,8 +7,8 @@
   <!ENTITY gegl-download-http "https://download.gimp.org/pub/gegl/0.4/gegl-&gegl-version;.tar.bz2">
   <!ENTITY gegl-download-ftp  " ">
-  <!ENTITY gegl-md5sum        "e3cdb1eefd28159c157a150113ed9c5a">
+  <!ENTITY gegl-md5sum        "365d70bd57fe591e0c93403c66147e7d">
   <!ENTITY gegl-size          "6.7 MB">
-  <!ENTITY gegl-buildsize     "138 MB (add 22 MB for tests)">
-  <!ENTITY gegl-time          "0.9 SBU (Using parallism=4; add 0.4 SBU for tests)">
+  <!ENTITY gegl-buildsize     "140 MB (add 23 MB for tests)">
+  <!ENTITY gegl-time          "0.8 SBU (Using parallelism=4; add 0.4 SBU for tests)">
 ]>
 
@@ -135,5 +135,5 @@
       operation desired unknown paramspec type for seed 
 
-      In 0.4.8 all tests pass but there several messages about
+      In 0.4.10 all tests pass but there several messages about
       deprecated parameter passing.-->
     </para>
Index: general/sysutils/hdparm.xml
===================================================================
--- general/sysutils/hdparm.xml	(revision 44cd41edb3b52b071d3e276b0e8f0f29a36cbb88)
+++ general/sysutils/hdparm.xml	(revision 17756081f4f2b787adeea4b9821c9473f77f9d91)
@@ -7,5 +7,5 @@
   <!ENTITY hdparm-download-http "&sourceforge-dl;/hdparm/hdparm-&hdparm-version;.tar.gz">
   <!ENTITY hdparm-download-ftp  " ">
-  <!ENTITY hdparm-md5sum        "7900608e32834f65d2654fdb696e71a0">
+  <!ENTITY hdparm-md5sum        "cd976dc4c114ebb667a73df1200d0532">
   <!ENTITY hdparm-size          "136 KB">
   <!ENTITY hdparm-buildsize     "1.0 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 44cd41edb3b52b071d3e276b0e8f0f29a36cbb88)
+++ introduction/welcome/changelog.xml	(revision 17756081f4f2b787adeea4b9821c9473f77f9d91)
@@ -46,4 +46,20 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Uppdate to openssh-7.9p1. Fixes
+          <ulink url="&blfs-ticket-root;11261">#11261</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Uppdate to libdrm-2.4.96. Fixes
+          <ulink url="&blfs-ticket-root;11258">#11258</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Uppdate to hdparm-9.57. Fixes
+          <ulink url="&blfs-ticket-root;11257">#11257</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Uppdate to gegl-0.4.10. Fixes
+          <ulink url="&blfs-ticket-root;11256">#11256</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Update to firefox-63.0 [security fix]. Fixes
           <ulink url="&blfs-ticket-root;11277">#11277</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 44cd41edb3b52b071d3e276b0e8f0f29a36cbb88)
+++ packages.ent	(revision 17756081f4f2b787adeea4b9821c9473f77f9d91)
@@ -35,5 +35,5 @@
 <!ENTITY nss-version                  "3.&nss-minor-version;">
 
-<!ENTITY openssh-version              "7.8p1">
+<!ENTITY openssh-version              "7.9p1">
 <!-- <!ENTITY openssl-version              "1.1.0g"> -->
 <!ENTITY openssl10-version            "1.0.2p">
@@ -135,5 +135,5 @@
 <!ENTITY libcroco-version             "0.6.12">
 <!ENTITY libdaemon-version            "0.14">
-<!ENTITY libdrm-version               "2.4.95">
+<!ENTITY libdrm-version               "2.4.96">
 <!ENTITY libepoxy-minor               "1.5">
 <!ENTITY libepoxy-version             "&libepoxy-minor;.3">
@@ -204,5 +204,5 @@
 <!ENTITY fontconfig-version           "2.13.1">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "1.0.5">
-<!ENTITY gegl-version                 "0.4.8">
+<!ENTITY gegl-version                 "0.4.10">
 <!ENTITY giflib-version               "5.1.4">
 <!ENTITY graphite2-version            "1.3.12">
@@ -277,5 +277,5 @@
 <!ENTITY fcron-version                "3.2.1">
 <!ENTITY gpm-version                  "1.20.7">
-<!ENTITY hdparm-version               "9.56">
+<!ENTITY hdparm-version               "9.57">
 <!ENTITY hdwids-version               "20141022">
 <!ENTITY lm_sensors-version           "3.4.0">
Index: postlfs/security/openssh.xml
===================================================================
--- postlfs/security/openssh.xml	(revision 44cd41edb3b52b071d3e276b0e8f0f29a36cbb88)
+++ postlfs/security/openssh.xml	(revision 17756081f4f2b787adeea4b9821c9473f77f9d91)
@@ -10,8 +10,8 @@
            " "> <!-- at the moment, unable to connect via ftp: ken
            "ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-&openssh-version;.tar.gz"> -->
-  <!ENTITY openssh-md5sum        "ce1d090fa6239fd38eb989d5e983b074">
+  <!ENTITY openssh-md5sum        "c6af50b7a474d04726a5aa747a5dce8f">
   <!ENTITY openssh-size          "1.5 MB">
-  <!ENTITY openssh-buildsize     "44 MB (add 7 MB for tests)">
-  <!ENTITY openssh-time          "0.4 SBU (running the tests takes 18+ minutes,
+  <!ENTITY openssh-buildsize     "39 MB (add 12 MB for tests)">
+  <!ENTITY openssh-time          "0.4 SBU (running the tests takes 17+ minutes,
                                   irrespective of processor speed)">
 ]>
@@ -78,5 +78,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -85,5 +85,5 @@
       </listitem>
     </itemizedlist>
-
+-->
     <bridgehead renderas="sect3">OpenSSH Dependencies</bridgehead>
 <!--
@@ -143,7 +143,5 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../openssh-&openssh-version;-openssl-1.1.0-1.patch &amp;&amp;
-
-./configure --prefix=/usr                     \
+<screen><userinput>./configure --prefix=/usr                     \
             --sysconfdir=/etc/ssh             \
             --with-md5-passwords              \
Index: postlfs/security/ssh-askpass.xml
===================================================================
--- postlfs/security/ssh-askpass.xml	(revision 44cd41edb3b52b071d3e276b0e8f0f29a36cbb88)
+++ postlfs/security/ssh-askpass.xml	(revision 17756081f4f2b787adeea4b9821c9473f77f9d91)
@@ -9,7 +9,7 @@
   <!ENTITY ssh-askpass-download-ftp
     "ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-&ssh-askpass-version;.tar.gz">
-  <!ENTITY ssh-askpass-md5sum        "ce1d090fa6239fd38eb989d5e983b074">
+  <!ENTITY ssh-askpass-md5sum        "c6af50b7a474d04726a5aa747a5dce8f">
   <!ENTITY ssh-askpass-size          "1.5 MB">
-  <!ENTITY ssh-askpass-buildsize     "8.4 MB">
+  <!ENTITY ssh-askpass-buildsize     "8.6 MB">
   <!ENTITY ssh-askpass-time          "less than 0.1 SBU">
 ]>
Index: x/lib/libdrm.xml
===================================================================
--- x/lib/libdrm.xml	(revision 44cd41edb3b52b071d3e276b0e8f0f29a36cbb88)
+++ x/lib/libdrm.xml	(revision 17756081f4f2b787adeea4b9821c9473f77f9d91)
@@ -7,8 +7,8 @@
   <!ENTITY libdrm-download-http "https://dri.freedesktop.org/libdrm/libdrm-&libdrm-version;.tar.bz2">
   <!ENTITY libdrm-download-ftp  " ">
-  <!ENTITY libdrm-md5sum        "41b9ed196a27f5dc7fb88412b704e9fd">
-  <!ENTITY libdrm-size          "804 KB">
-  <!ENTITY libdrm-buildsize     "13 MB">
-  <!ENTITY libdrm-time          "0.9 SBU (with tests)">
+  <!ENTITY libdrm-md5sum        "f296d87272b1befeada3bb135751ab3d">
+  <!ENTITY libdrm-size          "812 KB">
+  <!ENTITY libdrm-buildsize     "11 MB (with tests)">
+  <!ENTITY libdrm-time          "less than 0.1 SBU (add 0.7 SBU for tests)">
 ]>
 
@@ -111,8 +111,15 @@
 
     <para>
-      To check the results, issue <command>ninja test</command>. <!-- Tests may hang
+      To check the results, issue <command>ninja test</command>. One test,
+      'threaded' in the nouveau subdirectory, is known to fail with a 
+      30 second timeout.
+      
+      <!-- Tests may hang
       for unknown reasons. --><!-- If nouveau threaded test hangs, you can disable it
       with
-      <command>sed -i 's/^TESTS/#&amp;/' tests/nouveau/Makefile.in</command>. -->
+      <command>sed -i 's/^TESTS/#&amp;/' tests/nouveau/Makefile.in</command>. 
+      
+      Now that tests are run with ninja, the test merely times out after 30 seconds.
+      -->
     </para>
 