Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision 261657ce95869ccf710b0eb89a87b0d4e718e7c4)
+++ general/prog/vala.xml	(revision 17781647e66e7c02c5b6ae97072806b65183517e)
@@ -7,8 +7,8 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "81bac61d3b77591704b0714f12b69f3f">
+  <!ENTITY vala-md5sum        "1fa0ef1c610b84dc3b3caf3375cf5f5a">
   <!ENTITY vala-size          "3.3 MB">
-  <!ENTITY vala-buildsize     "174 MB (add 9 MB for tests)">
-  <!ENTITY vala-time          "0.5 SBU (using parallelism=4; add 2.2 SBU for tests)">
+  <!ENTITY vala-buildsize     "173 MB (add 2 MB for tests)">
+  <!ENTITY vala-time          "0.3 SBU (using parallelism=4; add 2.1 SBU for tests)">
 ]>
 
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 261657ce95869ccf710b0eb89a87b0d4e718e7c4)
+++ gnome.ent	(revision 17781647e66e7c02c5b6ae97072806b65183517e)
@@ -91,5 +91,5 @@
 <!ENTITY gnome-terminal-version            "3.36.1.1">
 <!ENTITY gnome-tweaks-version              "3.34.0">
-<!ENTITY gnome-weather-version             "3.34.1">
+<!ENTITY gnome-weather-version             "3.36.0">
 <!ENTITY gucharmap-version                 "12.0.1">
 <!-- nm-applet moved to Networking Utilities, so it's now in packages.ent -->
Index: gnome/applications/gnome-weather.xml
===================================================================
--- gnome/applications/gnome-weather.xml	(revision 261657ce95869ccf710b0eb89a87b0d4e718e7c4)
+++ gnome/applications/gnome-weather.xml	(revision 17781647e66e7c02c5b6ae97072806b65183517e)
@@ -6,8 +6,8 @@
 
   <!ENTITY gnome-weather-download-http
-           "&gnome-download-http;/gnome-weather/&gnome-minor-34;/gnome-weather-&gnome-weather-version;.tar.xz">
+           "&gnome-download-http;/gnome-weather/&gnome-minor-36;/gnome-weather-&gnome-weather-version;.tar.xz">
   <!ENTITY gnome-weather-download-ftp
-           "&gnome-download-ftp;/gnome-weather/&gnome-minor-34;/gnome-weather-&gnome-weather-version;.tar.xz">
-  <!ENTITY gnome-weather-md5sum        "9443c481a6086cf3e3ed40d4c779071a">
+           "&gnome-download-ftp;/gnome-weather/&gnome-minor-36;/gnome-weather-&gnome-weather-version;.tar.xz">
+  <!ENTITY gnome-weather-md5sum        "38fb5a32a32a4cea5ef89a163ec8d690">
   <!ENTITY gnome-weather-size          "5.7 MB">
   <!ENTITY gnome-weather-buildsize     "19 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 261657ce95869ccf710b0eb89a87b0d4e718e7c4)
+++ introduction/welcome/changelog.xml	(revision 17781647e66e7c02c5b6ae97072806b65183517e)
@@ -46,4 +46,16 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to gnome-weather-3.36.0. Fixes
+          <ulink url="&blfs-ticket-root;13370">#13370</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to vala-0.48.3. Fixes
+          <ulink url="&blfs-ticket-root;13369">#13369</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to audacious and audacious-plugins 4.0.1.
+          Fixes <ulink url="&blfs-ticket-root;13367">#13367</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to btrfs-progs-5.6. Fixes
           <ulink url="&blfs-ticket-root;13365">#13365</ulink>.</para>
Index: multimedia/audioutils/audacious.xml
===================================================================
--- multimedia/audioutils/audacious.xml	(revision 261657ce95869ccf710b0eb89a87b0d4e718e7c4)
+++ multimedia/audioutils/audacious.xml	(revision 17781647e66e7c02c5b6ae97072806b65183517e)
@@ -8,14 +8,14 @@
            "https://distfiles.audacious-media-player.org/audacious-&audacious-version;.tar.bz2">
   <!ENTITY audacious-download-ftp         " ">
-  <!ENTITY audacious-md5sum               "711f400a415c0e344b409f138f4602b6">
-  <!ENTITY audacious-size                 "568 KB">
-  <!ENTITY audacious-buildsize            "45 MB (with Qt user interface)">
+  <!ENTITY audacious-md5sum               "9ab200e22b4c7bee95e78b267ac5a4d2">
+  <!ENTITY audacious-size                 "560 KB">
+  <!ENTITY audacious-buildsize            "60 MB (with Qt user interface)">
   <!ENTITY audacious-time                 "0.6 SBU (with Qt user interface)">
 
   <!ENTITY audacious-plugins-download
            "https://distfiles.audacious-media-player.org/audacious-plugins-&audacious-plugins-version;.tar.bz2">
-  <!ENTITY audacious-plugins-md5sum       "d5279031a5f51c2b52989fcce03db0bb">
+  <!ENTITY audacious-plugins-md5sum       "a0e8b8182db09a226380b2cf23fada0b">
   <!ENTITY audacious-plugins-size         "1.7 MB">
-  <!ENTITY audacious-plugins-buildsize    "104 MB (with Qt user interface)">
+  <!ENTITY audacious-plugins-buildsize    "142 MB (with Qt user interface)">
   <!ENTITY audacious-plugins-time         "1.3 SBU (with Qt user interface)">
 ]>
@@ -118,4 +118,6 @@
       <xref role="runtime" linkend="x-window-system"/> (runtime)
     </para>
+
+    <!-- NOTE: The GTK2 port is deprecated. No GTK3 port is planned.-->
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
@@ -151,4 +153,5 @@
       <xref linkend="pulseaudio"/>,
       <xref linkend="sdl"/>,
+      <ulink url="http://adplug.github.io/">adplug</ulink>,
       <ulink url="http://sourceforge.net/projects/bs2b/">The Bauer
         stereophonic-to-binaural DSP (bs2b) library</ulink>,
@@ -159,4 +162,5 @@
       <ulink url="http://sourceforge.net/projects/modplug-xmms/">libmodplug</ulink>,
       <ulink url="http://sourceforge.net/projects/libmms">libmms</ulink>,
+      <ulink url="http://www.sourceforge.net/projects/sidplay-residfp/">libsidplayfp</ulink>,
       <ulink url="http://www.lirc.org/">LIRC</ulink>, and
       <ulink url="http://www.wavpack.com/">WavPack</ulink>
@@ -302,9 +306,9 @@
         </seg>
         <seg>
-          libaudcore.so, libaudgui.so, libaudqt.so, libaudtag.so, and several
+          libaudcore.so, libaudqt.so, libaudtag.so, and several
           plugin libraries under /usr/lib/audacious/ sub-directories
         </seg>
         <seg>
-          /usr/include/{audacious,libaudcore,libaudgui,libaudqt},
+          /usr/include/{audacious,libaudcore,libaudqt},
           /usr/lib/audacious and
           /usr/share/audacious
@@ -322,5 +326,5 @@
         <listitem>
           <para>
-            is a GTK+2 port of <application>XMMS</application> based on the
+            is a Qt port of <application>XMMS</application> based on the
             <application>Beep Media Player</application>.
           </para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 261657ce95869ccf710b0eb89a87b0d4e718e7c4)
+++ packages.ent	(revision 17781647e66e7c02c5b6ae97072806b65183517e)
@@ -366,5 +366,5 @@
 <!ENTITY tk-version                   "8.6.10">
 <!ENTITY vala-major-version           "0.48">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.2">
+<!ENTITY vala-version                 "&vala-major-version;.3">
 <!ENTITY valgrind-version             "3.15.0">
 <!ENTITY yasm-version                 "1.3.0">
@@ -1006,6 +1006,6 @@
 <!ENTITY CDParanoia-version           "III-10.2">
 <!--<!ENTITY freetts-version              "1.2.2">-->
-<!ENTITY audacious-version            "4.0">
-<!ENTITY audacious-plugins-version    "4.0">
+<!ENTITY audacious-version            "4.0.1">
+<!ENTITY audacious-plugins-version    "4.0.1">
 <!--<!ENTITY amarok-version               "2.8.0">-->
 <!ENTITY pnmixer-version              "0.7.2">