Index: general/prog/pygobject3.xml
===================================================================
--- general/prog/pygobject3.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ general/prog/pygobject3.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -6,11 +6,11 @@
 
   <!ENTITY pygobject3-download-http
-           "&gnome-download-http;/pygobject/3.18/pygobject-&pygobject3-version;.tar.xz">
+           "&gnome-download-http;/pygobject/&gnome-minor-18;/pygobject-&pygobject3-version;.tar.xz">
   <!ENTITY pygobject3-download-ftp
-           "&gnome-download-ftp;/pygobject/3.18/pygobject-&pygobject3-version;.tar.xz">
-  <!ENTITY pygobject3-md5sum        "2ac5d4398e7ecabf64b3deb65c799516">
-  <!ENTITY pygobject3-size          "712 KB">
-  <!ENTITY pygobject3-buildsize     "21 MB (both modules, additional 3 MB for tests)">
-  <!ENTITY pygobject3-time          "0.3 SBU (both modules, additional 0.2 SBU for tests)">
+           "&gnome-download-ftp;/pygobject/&gnome-minor-18;/pygobject-&pygobject3-version;.tar.xz">
+  <!ENTITY pygobject3-md5sum        "0a956f3e785e23b0f136832f2e57a862">
+  <!ENTITY pygobject3-size          "716 KB">
+  <!ENTITY pygobject3-buildsize     "29 MB (both modules, with tests)">
+  <!ENTITY pygobject3-time          "0.5 SBU (both modules, with tests)">
 ]>
 
@@ -101,5 +101,5 @@
         </para>
       </note>
-
+<!--
       <para>
         If you wish to run the test suite, optionally use the following
@@ -107,5 +107,6 @@
       </para>
 
-<screen><userinput>sed -i '/d =.*MUSIC/d' tests/test_glib.py</userinput></screen>
+<screen><userinput>sed -i '/d =.*MUSIC/d'
+tests/test_glib.py</userinput></screen>-->
 
       <para>
@@ -178,5 +179,5 @@
             /usr/lib/python&python2-majorver;/site-packages/gi/_gi{,_cairo}.so
  and/or
-            /usr/lib/python&python3-majorver;/site-packages/gi/_gi{,_cairo}.cpython-34m.so
+            /usr/lib/python&python3-majorver;/site-packages/gi/_gi{,_cairo}.cpython-35m-&lt;arch&gt;-linux-gnu.so
            </seg>
           <seg>
Index: general/sysutils/sysstat.xml
===================================================================
--- general/sysutils/sysstat.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ general/sysutils/sysstat.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -7,7 +7,7 @@
   <!ENTITY sysstat-download-http "http://perso.wanadoo.fr/sebastien.godard/sysstat-&sysstat-version;.tar.xz">
   <!ENTITY sysstat-download-ftp  " ">
-  <!ENTITY sysstat-md5sum        "ad051d43f3891c8cf9bdc9b4a845167c">
+  <!ENTITY sysstat-md5sum        "a55eb81a4d183ac95b35b14a25107464">
   <!ENTITY sysstat-size          "316 KB">
-  <!ENTITY sysstat-buildsize     "8 MB">
+  <!ENTITY sysstat-buildsize     "8.1 MB">
   <!ENTITY sysstat-time          "0.1 SBU">
 ]>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ gnome.ent	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -4,11 +4,11 @@
 <!-- Platform -->
 <!ENTITY polkit-gnome-version         "0.105">
-<!ENTITY gsettings-desktop-schemas-version "3.16.1">
+<!ENTITY gsettings-desktop-schemas-version "3.18.1">
 <!ENTITY yelp-xsl-version             "3.16.1">
 <!ENTITY GConf-version                "3.2.6">
 <!ENTITY libsecret-version            "0.18.3">
-<!ENTITY gcr-version                  "3.16.0">
-<!ENTITY gnome-keyring-version        "3.16.0">
-<!ENTITY gvfs-version                 "1.24.2">
+<!ENTITY gcr-version                  "3.18.0">
+<!ENTITY gnome-keyring-version        "3.18.2">
+<!ENTITY gvfs-version                 "1.26.1.1">
 <!ENTITY gjs-version                  "1.43.3">
 <!ENTITY gnome-desktop-version        "3.16.2">
Index: gnome/platform/gcr.xml
===================================================================
--- gnome/platform/gcr.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ gnome/platform/gcr.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/&gnome-minor-16;/gcr-&gcr-version;.tar.xz">
-  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/&gnome-minor-16;/gcr-&gcr-version;.tar.xz">
-  <!ENTITY gcr-md5sum        "d5835680be0b6a838e02a528d5378d9c">
+  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/&gnome-minor-18;/gcr-&gcr-version;.tar.xz">
+  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/&gnome-minor-18;/gcr-&gcr-version;.tar.xz">
+  <!ENTITY gcr-md5sum        "b959bac99e17c9bb0990a15c9be11aed">
   <!ENTITY gcr-size          "1.3 MB">
-  <!ENTITY gcr-buildsize     "77 MB (additional 5 MB for tests)">
-  <!ENTITY gcr-time          "0.7 SBU (additional 0.1 SBU for tests)">
+  <!ENTITY gcr-buildsize     "81 MB (with tests)">
+  <!ENTITY gcr-time          "0.8 SBU (with tests)">
 ]>
 
@@ -157,8 +157,6 @@
         <seg>
           /usr/include/gck-1,
-          /usr/include/gcr-3,
-          /usr/share/gcr-3,
-          /usr/share/gtk-doc/html/gck, and
-          /usr/share/gtk-doc/html/gcr-3
+          /usr/{include,share,share/gtk-doc/html}/gcr-3, and
+          /usr/share/gtk-doc/html/gck
         </seg>
       </seglistitem>
Index: gnome/platform/gnome-keyring.xml
===================================================================
--- gnome/platform/gnome-keyring.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ gnome/platform/gnome-keyring.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-keyring-download-http
-           "&gnome-download-http;/gnome-keyring/&gnome-minor-16;/gnome-keyring-&gnome-keyring-version;.tar.xz">
+           "&gnome-download-http;/gnome-keyring/&gnome-minor-18;/gnome-keyring-&gnome-keyring-version;.tar.xz">
   <!ENTITY gnome-keyring-download-ftp
-           "&gnome-download-ftp;/gnome-keyring/&gnome-minor-16;/gnome-keyring-&gnome-keyring-version;.tar.xz">
-  <!ENTITY gnome-keyring-md5sum        "d105927a8dd1791552882744b62351bd">
+           "&gnome-download-ftp;/gnome-keyring/&gnome-minor-18;/gnome-keyring-&gnome-keyring-version;.tar.xz">
+  <!ENTITY gnome-keyring-md5sum        "672eba19f4504351f2b82890682f2872">
   <!ENTITY gnome-keyring-size          "1.2 MB">
-  <!ENTITY gnome-keyring-buildsize     "134 MB (additional 1 MB for tests)">
-  <!ENTITY gnome-keyring-time          "0.6 SBU (additional 0.2 SBU for tests)">
+  <!ENTITY gnome-keyring-buildsize     "138 MB (additional 1 MB for tests)">
+  <!ENTITY gnome-keyring-time          "0.7 SBU (additional 0.2 SBU for tests)">
 ]>
 
Index: gnome/platform/gsettings-desktop-schemas.xml
===================================================================
--- gnome/platform/gsettings-desktop-schemas.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ gnome/platform/gsettings-desktop-schemas.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -6,10 +6,10 @@
 
   <!ENTITY gsettings-desktop-schemas-download-http
-           "&gnome-download-http;/gsettings-desktop-schemas/&gnome-minor-16;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
+           "&gnome-download-http;/gsettings-desktop-schemas/&gnome-minor-18;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
   <!ENTITY gsettings-desktop-schemas-download-ftp
-           "&gnome-download-ftp;/gsettings-desktop-schemas/&gnome-minor-16;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
-  <!ENTITY gsettings-desktop-schemas-md5sum        "baebbcf3c20591f98876e42fb0a3fd35">
-  <!ENTITY gsettings-desktop-schemas-size          "536 KB">
-  <!ENTITY gsettings-desktop-schemas-buildsize     "14 MB">
+           "&gnome-download-ftp;/gsettings-desktop-schemas/&gnome-minor-18;/gsettings-desktop-schemas-&gsettings-desktop-schemas-version;.tar.xz">
+  <!ENTITY gsettings-desktop-schemas-md5sum        "e7ec56bb55013e89500c8f3ae6fcf738">
+  <!ENTITY gsettings-desktop-schemas-size          "564 KB">
+  <!ENTITY gsettings-desktop-schemas-buildsize     "15 MB">
   <!ENTITY gsettings-desktop-schemas-time          "less than 0.1 SBU">
 ]>
@@ -133,5 +133,6 @@
         </seg>
         <seg>
-          /usr/include/gsettings-desktop-schemas
+          /usr/include/gsettings-desktop-schemas and
+          /usr/share/GConf/gsettings
        </seg>
       </seglistitem>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ gnome/platform/gvfs.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gvfs-download-http "&gnome-download-http;/gvfs/1.24/gvfs-&gvfs-version;.tar.xz">
-  <!ENTITY gvfs-download-ftp  "&gnome-download-ftp;/gvfs/1.24/gvfs-&gvfs-version;.tar.xz">
-  <!ENTITY gvfs-md5sum        "83ed317eb2a5264715d4273e90a5cfd8">
-  <!ENTITY gvfs-size          "1.6 MB">
-  <!ENTITY gvfs-buildsize     "72 MB">
-  <!ENTITY gvfs-time          "0.6 SBU">
+  <!ENTITY gvfs-download-http "&gnome-download-http;/gvfs/1.26/gvfs-&gvfs-version;.tar.xz">
+  <!ENTITY gvfs-download-ftp  "&gnome-download-ftp;/gvfs/1.26/gvfs-&gvfs-version;.tar.xz">
+  <!ENTITY gvfs-md5sum        "9f2e8c85ea3bfc216f8594feed4984cb">
+  <!ENTITY gvfs-size          "1.7 MB">
+  <!ENTITY gvfs-buildsize     "69 MB">
+  <!ENTITY gvfs-time          "0.8 SBU">
 ]>
 
@@ -97,4 +97,5 @@
       <xref linkend="fuse"/>,
       <xref linkend="gtk-doc"/>,
+      <xref linkend="gcr"/>,
       <xref linkend="libarchive"/>,
       <xref linkend="libcdio"/>,
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ introduction/welcome/changelog.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -48,4 +48,41 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - Update to mesa-11.0.4. Fixes
+          <ulink url="&blfs-ticket-root;7051">#7051</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to xscreensaver-5.34. Fixes
+          <ulink url="&blfs-ticket-root;7050">#7050</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to pygobject3-3.18.2. Fixes
+          <ulink url="&blfs-ticket-root;7049">#7049</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to sysstat-11.1.8. Fixes
+          <ulink url="&blfs-ticket-root;7046">#7046</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gtksourceview-3.18.1. Fixes
+          <ulink url="&blfs-ticket-root;7034">#7034</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gvfs-1.26.1.1. Partially fixes
+          <ulink url="&blfs-ticket-root;6950">#6950</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gnome-keyring-3.18.2. Partially fixes
+          <ulink url="&blfs-ticket-root;6950">#6950</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gcr-3.18.0. Partially fixes
+          <ulink url="&blfs-ticket-root;6950">#6950</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to gsettings-desktop-schemas-3.18.1.
+          Partially fixes
+          <ulink url="&blfs-ticket-root;6950">#6950</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[igor] - Update to dovecot-2.2.19. Fixes
           <ulink url="&blfs-ticket-root;6991">#6991</ulink>.</para>
Index: multimedia/libdriv/libmpeg2.xml
===================================================================
--- multimedia/libdriv/libmpeg2.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ multimedia/libdriv/libmpeg2.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -167,9 +167,9 @@
 
       <varlistentry id="libmpeg2-lib">
-        <term><filename class='libraryfile'>libmpeg2.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libmpeg2.so</filename></term>
         <listitem>
           <para>contains API functions used to decode MPEG video streams.</para>
           <indexterm zone="libmpeg2 libmpeg2-lib">
-            <primary sortas="c-libmpeg2">libmpeg2.{so,a}</primary>
+            <primary sortas="c-libmpeg2">libmpeg2.so</primary>
           </indexterm>
         </listitem>
@@ -177,10 +177,10 @@
 
       <varlistentry id="libmpeg2convert">
-        <term><filename class='libraryfile'>libmpeg2convert.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libmpeg2convert.so</filename></term>
         <listitem>
           <para>contains API functions used for color conversions of MPEG
           video streams.</para>
           <indexterm zone="libmpeg2 libmpeg2convert">
-            <primary sortas="c-libmpeg2convert">libmpeg2convert.{so,a}</primary>
+            <primary sortas="c-libmpeg2convert">libmpeg2convert.so</primary>
           </indexterm>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ packages.ent	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -235,5 +235,5 @@
 <!ENTITY sg3_utils-version            "1.41">
 <!ENTITY strigi-version               "0.7.8">
-<!ENTITY sysstat-version              "11.1.7">
+<!ENTITY sysstat-version              "11.1.8">
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.1.6">    <!-- stable lt .90 micro version -->
@@ -336,5 +336,5 @@
 <!ENTITY pycairo-version              "1.10.0">
 <!ENTITY pygobject2-version           "2.28.6">
-<!ENTITY pygobject3-version           "3.18.0">
+<!ENTITY pygobject3-version           "3.18.2">
 <!ENTITY pygtk-version                "2.24.0">
 <!ENTITY pyxdg-version                "0.25">
@@ -443,5 +443,5 @@
 <!ENTITY xcursor-themes-version       "1.0.4">
 <!ENTITY xkeyboard-config-version     "2.16">
-<!ENTITY mesa-version                 "11.0.3">
+<!ENTITY mesa-version                 "11.0.4">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
@@ -477,5 +477,5 @@
 <!ENTITY gtkmm2-version               "2.24.4">
 <!ENTITY gtkmm3-version               "3.18.0">
-<!ENTITY gtksourceview-version        "3.16.1">
+<!ENTITY gtksourceview-version        "3.18.1">
 <!ENTITY imlib2-version               "1.4.7">
 <!ENTITY keybinder2-version           "0.3.0">
@@ -658,5 +658,5 @@
 <!ENTITY xchat-version                "2.8.8">
 <!ENTITY xdg-utils-version            "1.1.0-rc3">
-<!ENTITY xscreensaver-version         "5.33">
+<!ENTITY xscreensaver-version         "5.34">
 
 <!-- Part XI -->
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ x/installing/mesa.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http " ">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/&mesa-version;/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "bf9118bf0fbf360715cfe60baf7a1db5">
-  <!ENTITY mesa-size          "6.9 MB">
-  <!ENTITY mesa-buildsize     "188 MB (without tests)">
-  <!ENTITY mesa-time          "4.5 SBU (without tests)">
+  <!ENTITY mesa-md5sum        "c92c37200009eceaab4898119f82e358">
+  <!ENTITY mesa-size          "7 MB">
+  <!ENTITY mesa-buildsize     "306 MB (with tests and docs)">
+  <!ENTITY mesa-time          "10 SBU (with tests and docs)">
 ]>
 
@@ -77,5 +77,5 @@
           Recommended patch:
           <ulink
-            url="&patch-root;/mesa-&mesa-version;-add_xdemos-2.patch"/>
+            url="&patch-root;/mesa-&mesa-version;-add_xdemos-1.patch"/>
           (installs 2 demo programs for testing Mesa - not needed if you
           install the <ulink url="ftp://ftp.freedesktop.org/pub/mesa/demos/">
@@ -141,5 +141,5 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../mesa-&mesa-version;-add_xdemos-2.patch</userinput></screen>
+<screen><userinput>patch -Np1 -i ../mesa-&mesa-version;-add_xdemos-1.patch</userinput></screen>
 
     <para>
Index: x/lib/gtksourceview.xml
===================================================================
--- x/lib/gtksourceview.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ x/lib/gtksourceview.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -6,11 +6,11 @@
 
   <!ENTITY gtksourceview-download-http
-    "&gnome-download-http;/gtksourceview/&gnome-minor-16;/gtksourceview-&gtksourceview-version;.tar.xz">
+    "&gnome-download-http;/gtksourceview/&gnome-minor-18;/gtksourceview-&gtksourceview-version;.tar.xz">
   <!ENTITY gtksourceview-download-ftp
-    "&gnome-download-ftp;/gtksourceview/&gnome-minor-16;/gtksourceview-&gtksourceview-version;.tar.xz">
-  <!ENTITY gtksourceview-md5sum        "e727db8202d23a54b54b69ebc66f5331">
+    "&gnome-download-ftp;/gtksourceview/&gnome-minor-18;/gtksourceview-&gtksourceview-version;.tar.xz">
+  <!ENTITY gtksourceview-md5sum        "b7600b6cc06ec96ce1d028bf7a44d14b">
   <!ENTITY gtksourceview-size          "1.3 MB">
-  <!ENTITY gtksourceview-buildsize     "65 MB (additional 1 MB for the tests)">
-  <!ENTITY gtksourceview-time          "0.4 SBU (additional less than 0.1 SBU for the tests)">
+  <!ENTITY gtksourceview-buildsize     "70 MB (additional 1 MB for the tests)">
+  <!ENTITY gtksourceview-time          "0.6 SBU (additional less than 0.1 SBU for the tests)">
 ]>
 
@@ -147,7 +147,5 @@
         </seg>
         <seg>
-          /usr/include/gtksourceview-3.0,
-          /usr/share/gtk-doc/html/gtksourceview-3.0, and
-          /usr/share/gtksourceview-3.0
+          /usr/{include,share,share/gtk-doc/html}/gtksourceview-3.0
         </seg>
       </seglistitem>
Index: xsoft/other/xscreensaver.xml
===================================================================
--- xsoft/other/xscreensaver.xml	(revision 00503b6cfcd9fe467e49c0aca271cbd539d0cd9c)
+++ xsoft/other/xscreensaver.xml	(revision 27747668f103df8897b5cecf25037cd65e4191e9)
@@ -7,8 +7,8 @@
   <!ENTITY xscreensaver-download-http "http://www.jwz.org/xscreensaver/xscreensaver-&xscreensaver-version;.tar.gz">
   <!ENTITY xscreensaver-download-ftp  " ">
-  <!ENTITY xscreensaver-md5sum        "cd99d65b143cc2c7b010b185aa1413b8">
-  <!ENTITY xscreensaver-size          "20 MB">
-  <!ENTITY xscreensaver-buildsize     "202 MB">
-  <!ENTITY xscreensaver-time          "0.9 SBU">
+  <!ENTITY xscreensaver-md5sum        "b71f7d652ec7c28473d3526b234a3168">
+  <!ENTITY xscreensaver-size          "11 MB">
+  <!ENTITY xscreensaver-buildsize     "249 MB">
+  <!ENTITY xscreensaver-time          "1 SBU">
 ]>
 