Index: general/genlib/appstream-glib.xml
===================================================================
--- general/genlib/appstream-glib.xml	(revision fd21cdf01b48989fa44fedf9b8acdb3208a48f67)
+++ general/genlib/appstream-glib.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -18,6 +18,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy: pierre $</othername>
-    <date>$Date: 2014-08-30 18:39:13 +1200 (Sat, 30 Aug 2014) $</date>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
   </sect1info>
 
Index: general/genlib/gcab.xml
===================================================================
--- general/genlib/gcab.xml	(revision fd21cdf01b48989fa44fedf9b8acdb3208a48f67)
+++ general/genlib/gcab.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -19,6 +19,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy: fernando $</othername>
-    <date>$Date: 2014-09-26 16:16:41 +0200 (Fri, 26 Sep 2014) $</date>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
   </sect1info>
 
Index: general/genlib/grantlee.xml
===================================================================
--- general/genlib/grantlee.xml	(revision fd21cdf01b48989fa44fedf9b8acdb3208a48f67)
+++ general/genlib/grantlee.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -18,6 +18,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy: krejzi $</othername>
-    <date>$Date: 2013-08-04 11:28:54 -0500 (Sun, 04 Aug 2013) $</date>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
   </sect1info>
 
Index: general/genlib/libgudev.xml
===================================================================
--- general/genlib/libgudev.xml	(revision fd21cdf01b48989fa44fedf9b8acdb3208a48f67)
+++ general/genlib/libgudev.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -19,6 +19,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy: fernando $</othername>
-    <date>$Date: 2014-09-26 16:16:41 +0200 (Fri, 26 Sep 2014) $</date>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
   </sect1info>
 
Index: general/genlib/libgusb.xml
===================================================================
--- general/genlib/libgusb.xml	(revision fd21cdf01b48989fa44fedf9b8acdb3208a48f67)
+++ general/genlib/libgusb.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -17,6 +17,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy: dj $</othername>
-    <date>$Date: 2016-01-24 02:01:02 -0600 (Sun, 24 Jan 2016) $</date>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
   </sect1info>
 
Index: general/genlib/libnfsidmap.xml
===================================================================
--- general/genlib/libnfsidmap.xml	(revision fd21cdf01b48989fa44fedf9b8acdb3208a48f67)
+++ general/genlib/libnfsidmap.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -19,6 +19,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy: krejzi $</othername>
-    <date>$Date: 2014-10-26 16:35:43 +0100 (Sun, 26 Oct 2014) $</date>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
   </sect1info>
 
Index: general/genlib/libpciaccess.xml
===================================================================
--- general/genlib/libpciaccess.xml	(revision fd21cdf01b48989fa44fedf9b8acdb3208a48f67)
+++ general/genlib/libpciaccess.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -17,6 +17,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy: krejzi $</othername>
-    <date>$Date: 2014-10-26 16:35:43 +0100 (Sun, 26 Oct 2014) $</date>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
   </sect1info>
 
Index: general/genlib/libstatgrab.xml
===================================================================
--- general/genlib/libstatgrab.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
+++ general/genlib/libstatgrab.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -0,0 +1,205 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libstatgrab-download-http "http://www.mirrorservice.org/sites/ftp.i-scream.org/pub/i-scream/libstatgrab/libstatgrab-&libstatgrab-version;.tar.gz">
+  <!ENTITY libstatgrab-download-ftp "ftp://www.mirrorservice.org/sites/ftp.i-scream.org/pub/i-scream/libstatgrab/libstatgrab-&libstatgrab-version;.tar.gz">
+  <!ENTITY libstatgrab-md5sum        "b906d312076ca9be3d5188edfe07f496">
+  <!ENTITY libstatgrab-size          "760 KB">
+  <!ENTITY libstatgrab-buildsize     "9.0 MB (with the test suite)">
+  <!ENTITY libstatgrab-time          "0.1 SBU (1.6 SBU with the test suite)">
+]>
+
+<sect1 id="libstatgrab" xreflabel="libstatgrab-&libstatgrab-version;">
+  <?dbhtml filename="libstatgrab.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libstatgrab-&libstatgrab-version;</title>
+
+  <indexterm zone="libstatgrab">
+    <primary sortas="a-libstatgrab">libstatgrab</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libstatgrab</title>
+
+    <para>
+      This is a library that provides cross platform access to statistics about
+      the system on which it's run. It's written in C and presents a selection
+      of useful interfaces which can be used to access key system statistics.
+      The current list of statistics includes CPU usage, memory utilisation,
+      disk usage, process counts, network traffic, disk I/O, and more.
+    </para>
+
+    &lfs78_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libstatgrab-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libstatgrab-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libstatgrab-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libstatgrab-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libstatgrab-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libstatgrab-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/libstatgrab"/>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libstatgrab</title>
+
+    <para>
+      Install <application>libstatgrab</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr   \
+            --disable-static \
+            --docdir=/usr/share/doc/libstatgrab-&libstatgrab-version; &amp;&amp;
+make</userinput></screen>
+
+    <para>To test the results, issue: <command>make check</command>.</para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          saidar, statgrab, statgrab-make-mrtg-config, and
+          statgrab-make-mrtg-index
+        </seg>
+        <seg>
+          libstatgrab.so
+        </seg>
+        <seg>
+          /usr/share/doc/libstatgrab-&libstatgrab-version;
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="saidar">
+        <term><command>saidar</command></term>
+        <listitem>
+          <para>
+            is a curses-based tool for viewing system statistics.
+          </para>
+          <indexterm zone="libstatgrab saidar">
+            <primary sortas="b-saidar">saidar</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="statgrab">
+        <term><command>statgrab</command></term>
+        <listitem>
+          <para>
+            is a sysctl-style interface to system statistics.
+          </para>
+          <indexterm zone="libstatgrab statgrab">
+            <primary sortas="b-statgrab">statgrab</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="statgrab-make-mrtg-config">
+        <term><command>statgrab-make-mrtg-config</command></term>
+        <listitem>
+          <para>
+            generates MRTG configuration.
+          </para>
+          <indexterm zone="libstatgrab statgrab-make-mrtg-config">
+            <primary sortas="b-statgrab-make-mrtg-config">statgrab-make-mrtg-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="statgrab-make-mrtg-index">
+        <term><command>statgrab-make-mrtg-index</command></term>
+        <listitem>
+          <para>
+            generates an XHTML index page from MRTG configuration files or
+            stdin.
+          </para>
+          <indexterm zone="libstatgrab statgrab-make-mrtg-index">
+            <primary sortas="b-statgrab-make-mrtg-index">statgrab-make-mrtg-index</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libstatgrab-lib">
+        <term><filename class="libraryfile">libstatgrab.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>libstatgrab</application> API functions.
+          </para>
+          <indexterm zone="libstatgrab libstatgrab-lib">
+            <primary sortas="c-libstatgrab">libstatgrab.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/genlib/libunique.xml
===================================================================
--- general/genlib/libunique.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
+++ general/genlib/libunique.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -0,0 +1,190 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libunique-download-http "&gnome-download-http;/libunique/1.1/libunique-&libunique-version;.tar.bz2">
+  <!ENTITY libunique-download-ftp  "&gnome-download-ftp;/libunique/1.1/libunique-&libunique-version;.tar.bz2">
+  <!ENTITY libunique-md5sum        "7955769ef31f1bc4f83446dbb3625e6d">
+  <!ENTITY libunique-size          "328 KB">
+  <!ENTITY libunique-buildsize     "7.0 MB">
+  <!ENTITY libunique-time          "0.2 SBU">
+]>
+
+<sect1 id="libunique" xreflabel="libunique-&libunique-version;">
+  <?dbhtml filename="libunique.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libunique-&libunique-version;</title>
+
+  <indexterm zone="libunique">
+    <primary sortas="a-libunique">libunique</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libunique</title>
+
+    <para>
+      The <application>libunique</application> package contains a
+      library for writing single instance applications.
+    </para>
+
+    &lfs78_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libunique-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libunique-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libunique-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libunique-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libunique-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libunique-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/libunique-&libunique-version;-upstream_fixes-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libunique Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gtk2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gobject-introspection"/> and
+      <xref linkend="gtk-doc"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/libunique"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libunique</title>
+
+    <para>
+      Install <application>libunique</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../libunique-&libunique-version;-upstream_fixes-1.patch &amp;&amp;
+autoreconf -fi &amp;&amp;
+
+./configure --prefix=/usr  \
+            --disable-dbus \
+            --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem>
+      user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>--disable-dbus</option>: This switch disables
+      <application>D-Bus</application> backend in favor of
+      the GDBus backend.
+    </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libunique-1.0.so
+        </seg>
+        <seg>
+          /usr/include/unique-1.0 and
+          /usr/share/gtk-doc/html/unique
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libunique-1">
+        <term><filename class="libraryfile">libunique-1.0.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>libunique</application> API functions
+            for single instance support.
+          </para>
+          <indexterm zone="libunique libunique-1">
+            <primary sortas="c-libunique-1">libunique-1.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: general/genlib/npth.xml
===================================================================
--- general/genlib/npth.xml	(revision fd21cdf01b48989fa44fedf9b8acdb3208a48f67)
+++ general/genlib/npth.xml	(revision 31973174a6e8430711a81ecab0a0febcb035c10f)
@@ -17,6 +17,6 @@
 
   <sect1info>
-    <othername>$LastChangedBy: fernando $</othername>
-    <date>$Date: 2015-04-28 23:11:41 +0200 (Uto, 28 Apr 2015) $</date>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
   </sect1info>
 