Index: x/lib/gtk2/gtk+2-desc.xml
===================================================================
--- x/lib/gtk2/gtk+2-desc.xml	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
+++ x/lib/gtk2/gtk+2-desc.xml	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application>GTK+</application> package contains <filename
+class="libraryfile">libgtk-x11-2.0</filename> libraries.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>GTK+ Libraries</title>
+<para><application>GTK+</application> Libraries provide the <acronym>API</acronym> to implement graphical user
+interfaces.</para></sect3>
+
+
+</sect2>
+
Index: x/lib/gtk2/gtk+2-exp.xml
===================================================================
--- x/lib/gtk2/gtk+2-exp.xml	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
+++ x/lib/gtk2/gtk+2-exp.xml	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--sysconfdir=/etc</parameter>: This switch installs the
+configuration files into <filename class="directory">/etc</filename>
+instead of <filename class="directory">/usr/etc</filename>.</para>
+
+<para><option>--enable-gtk-doc</option>: This switch will rebuild
+the <acronym>API</acronym> documentation during the
+<command>make</command> command.</para>
+</sect2>
+
Index: x/lib/gtk2/gtk+2-inst.xml
===================================================================
--- x/lib/gtk2/gtk+2-inst.xml	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
+++ x/lib/gtk2/gtk+2-inst.xml	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of <application><acronym>GTK</acronym>+</application></title>
+
+<para>Install <application><acronym>GTK</acronym>+</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
Index: x/lib/gtk2/gtk+2-intro.xml
===================================================================
--- x/lib/gtk2/gtk+2-intro.xml	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
+++ x/lib/gtk2/gtk+2-intro.xml	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
@@ -0,0 +1,28 @@
+<sect2>
+<title>Introduction to <application>GTK+</application></title>
+
+<para>The <application>GTK+</application> package contains
+<application>GTK+</application> Libraries. This is useful for
+creating graphical user interfaces for applications.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&GTK2-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&GTK2-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &GTK2-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &GTK2-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &GTK2-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>GTK+</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="GLib2"/>, <xref linkend="xfree86"/>, <xref
+linkend="Pango"/>, <xref linkend="ATK"/>,
+<xref linkend="libpng"/>, <xref linkend="libtiff"/> and <xref
+linkend="libjpeg"/> </para></sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="gtk-doc"/>, <xref linkend="DocBook"/> and <xref
+linkend="docbook-xsl"/> </para></sect4>
+</sect3>
+
+</sect2>
Index: x/lib/gtk2/gtk2.ent
===================================================================
--- x/lib/gtk2/gtk2.ent	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
+++ x/lib/gtk2/gtk2.ent	(revision 32164150e9696cd2abcc449a45cc36c64861d279)
@@ -0,0 +1,11 @@
+<!ENTITY GTK2 SYSTEM "../gtk+2.xml">
+<!ENTITY GTK2-intro SYSTEM "gtk+2-intro.xml">
+<!ENTITY GTK2-inst SYSTEM "gtk+2-inst.xml">
+<!ENTITY GTK2-exp SYSTEM "gtk+2-exp.xml">
+<!ENTITY GTK2-desc SYSTEM "gtk+2-desc.xml">
+<!ENTITY GTK2-version "2.2.4">
+<!ENTITY GTK2-download-http "http://gd.tuwien.ac.at/graphics/gimp/gtk/v2.2/gtk+-&GTK2-version;.tar.bz2">
+<!ENTITY GTK2-download-ftp "ftp://ftp.gtk.org/pub/gtk/v2.2/gtk+-&GTK2-version;.tar.bz2">
+<!ENTITY GTK2-size "6.9 MB">
+<!ENTITY GTK2-buildsize "187 MB">
+<!ENTITY GTK2-time "2.88 SBU">