Index: general.ent
===================================================================
--- general.ent	(revision b1a168db2c0064e63747f2cf1d3f80ef5d28b088)
+++ general.ent	(revision 33278268b2f77d14075ea8025725b9b85efc72c2)
@@ -423,7 +423,7 @@
 
 <!-- Chapter 40 -->
-<!ENTITY cdrtools-version             "2.00.3">  
+<!ENTITY cdrtools-version             "2.01">  
 <!ENTITY cdrdao-version               "1.1.9">  
-<!ENTITY udftools-version             "1.0.0b2">   
+<!ENTITY udftools-version             "1.0.0b3">   
 
 <!-- Part XIII -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b1a168db2c0064e63747f2cf1d3f80ef5d28b088)
+++ introduction/welcome/changelog.xml	(revision 33278268b2f77d14075ea8025725b9b85efc72c2)
@@ -22,4 +22,8 @@
 
 <itemizedlist>
+
+<listitem><para>October 8th, 2004 [igor]: Updated to Cdrtools-2.01 and
+UDFtools-1.0.0b3 and removed obsolete kernel configuration for CD
+writing section.</para></listitem>
 
 <listitem><para>October 8th, 2004 [randy]: Updated to
Index: multimedia/cdwriteutils/cdrtools.xml
===================================================================
--- multimedia/cdwriteutils/cdrtools.xml	(revision b1a168db2c0064e63747f2cf1d3f80ef5d28b088)
+++ multimedia/cdwriteutils/cdrtools.xml	(revision 33278268b2f77d14075ea8025725b9b85efc72c2)
@@ -4,8 +4,8 @@
   %general-entities;
 
-  <!ENTITY cdrtools-download-http "http://gd.tuwien.ac.at/utils/schilling/cdrtools/cdrtools-&cdrtools-version;.tar.gz">
-  <!ENTITY cdrtools-download-ftp  "ftp://ftp.berlios.de/pub/cdrecord/cdrtools-&cdrtools-version;.tar.gz">
-  <!ENTITY cdrtools-size          "1.6 MB">
-  <!ENTITY cdrtools-buildsize     "19.1 MB">
+  <!ENTITY cdrtools-download-http "http://gd.tuwien.ac.at/utils/schilling/cdrtools/cdrtools-&cdrtools-version;.tar.bz2">
+  <!ENTITY cdrtools-download-ftp "ftp://ftp.berlios.de/pub/cdrecord/cdrtools-&cdrtools-version;.tar.bz2">
+  <!ENTITY cdrtools-size          "1.4 MB">
+  <!ENTITY cdrtools-buildsize     "21 MB">
   <!ENTITY cdrtools-time          "0.44 SBU">
 ]>
@@ -34,11 +34,4 @@
 <listitem><para>Estimated build time: &cdrtools-time;</para></listitem></itemizedlist>
 </sect3>
-
-<!-- <sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink 
-url="&patch-root;/cdrtools-&cdrtools-version;-kernel_2.6-1.patch"/></para>
-</listitem></itemizedlist>
-</sect3> -->
 
 </sect2>
@@ -72,11 +65,18 @@
 
 <para>The <application>Cdrtools</application> package contains 
-<command>cdrecord</command>, <command>cdda2wav</command>, 
-<command>mkisofs</command>,  <command>mkhybrid</command>, 
-<command>readcd</command>, <command>scgcheck</command>, 
-<command>isoinfo</command>, <command>isodump</command>, 
-<command>isovfy</command>, <command>isodebug</command>, 
-<command>devdump</command>, <command>rscsi</command> and support 
-libraries.</para>
+<command>cdda2wav</command>, 
+<command>cdrecord</command>,
+<command>devdump</command>,
+<command>isodebug</command>, 
+<command>isodump</command>, 
+<command>isoinfo</command>,
+<command>isovfy</command>,
+<command>mkhybrid</command>, 
+<command>mkisofs</command>,
+<command>readcd</command>,
+<command>rscsi</command>,
+<command>scgcheck</command>, 
+<command>skel</command>
+and support libraries.</para>
 
 </sect2>
@@ -92,5 +92,5 @@
 <filename>WAV</filename> sound files.</para></sect3>
 
-<sect3><title>mkisofs</title>
+<sect3><title>mkisofs, mkhybrid</title>
 <para><command>mkisofs</command> and <command>mkhybrid</command>
 generate an <acronym>ISO</acronym>9660/JOLIET/<acronym>HFS</acronym> hybrid 
@@ -130,3 +130,2 @@
 
 </sect1>
-
Index: multimedia/cdwriteutils/cdwriteutils.xml
===================================================================
--- multimedia/cdwriteutils/cdwriteutils.xml	(revision b1a168db2c0064e63747f2cf1d3f80ef5d28b088)
+++ multimedia/cdwriteutils/cdwriteutils.xml	(revision 33278268b2f77d14075ea8025725b9b85efc72c2)
@@ -9,10 +9,8 @@
 <title>CD-Writing utilities</title>
 
-<para>This chapter contains information on <acronym>CD</acronym>-writing in 
-Linux.  You will first have to configure your kernel for
-<acronym>CD</acronym>-writing, which is discussed first.  After that,
-installing the acutal utilities is presented.</para>
+<para>This chapter contains information on <acronym>CD</acronym>-writing
+utilities in Linux.</para>
 
-<para>Additional sources of information on <acronym>CD</acronym>-writing include:</para>
+<para>Additional sources of information include:</para>
 
 <itemizedlist>
@@ -27,5 +25,4 @@
 </itemizedlist>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kernel.xml"/>  
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="cdrtools.xml"/>  
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="cdrdao.xml"/>  
Index: ltimedia/cdwriteutils/kernel.xml
===================================================================
--- multimedia/cdwriteutils/kernel.xml	(revision b1a168db2c0064e63747f2cf1d3f80ef5d28b088)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
-   "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="kernel" xreflabel="kernel">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="kernel.html"?>
-<title>Configuring your kernel for CD-Writing</title>
-
-<para>In the kernel configuration, check your settings with those listed
-below for your <acronym>CD</acronym>-<acronym>ROM</acronym> interface type:</para>
-
-<para><acronym>SCSI</acronym> <acronym>CD</acronym>-writer:</para>
-<screen>SCSI support menu
-  SCSI support:           Y or M
-  SCSI CD-ROM support:    Y or M
-  SCSI generic support:   Y or M
-  Vendor-specific extensions:  [1]
-Also include the low-level driver for your SCSI card if
-applicable.</screen>
-
-
-<para><acronym>IDE</acronym> <acronym>CD</acronym>-writer:</para>
-<screen>ATA/IDE/MFM/RLL support menu
-  IDE/ATAPI CDROM support:     N
-  SCSI emulation support: Y or M
-SCSI support menu
-  SCSI support:           Y or M
-  SCSI CD-ROM support:    Y or M
-  SCSI generic support:   Y or M
-  Vendor-specific extensions:  [1]</screen>
-
-<para>[1] Read the help to determine if this selection is applicable for
-your hardware.</para>
-
-<para>If necessary, recompile the kernel with</para>
-<screen>make CC=/opt/gcc-2.95.3/bin/gcc dep &amp;&amp;
-make CC=/opt/gcc-2.95.3/bin/gcc bzImage &amp;&amp;
-make CC=/opt/gcc-2.95.3/bin/gcc modules &amp;&amp;
-make CC=/opt/gcc-2.95.3/bin/gcc modules_install</screen>
-<para>
-Copy <filename>/usr/src/linux/arch/i386/boot/bzImage</filename> and
-<filename>/usr/src/linux/System.map</filename> to
-<filename>/boot</filename>. If you utilize
-<application>LILO</application>,  edit <filename>/etc/lilo.conf</filename>
-appropriately and run <command>lilo</command>.
-</para>
-
-<para>For more information about these settings and the drivers they
-install, read <ulink
-url="http://www.tldp.org/HOWTO/SCSI-2.4-HOWTO/sr.html">The Linux 2.4
-SCSI subsystem HOWTO</ulink>.</para>
-
-</sect1>
-
Index: multimedia/cdwriteutils/udftools.xml
===================================================================
--- multimedia/cdwriteutils/udftools.xml	(revision b1a168db2c0064e63747f2cf1d3f80ef5d28b088)
+++ multimedia/cdwriteutils/udftools.xml	(revision 33278268b2f77d14075ea8025725b9b85efc72c2)
@@ -6,8 +6,7 @@
   <!ENTITY udftools-download-http "http://prdownloads.sourceforge.net/linux-udf/udftools-&udftools-version;.tar.gz">
   <!ENTITY udftools-download-ftp  " ">
-  <!ENTITY udftools-size          "236 Kb">
-  <!ENTITY udftools-buildsize     "2.7 MB">
-  <!ENTITY udftools-time          " ">
-  <!ENTITY linux-kernel-version   "2.4.26">
+  <!ENTITY udftools-size          "287 KB">
+  <!ENTITY udftools-buildsize     "3.5 MB">
+  <!ENTITY udftools-time          "0.10 SBU">
 ]>
 
@@ -39,5 +38,5 @@
 <listitem><para>Download (FTP): <ulink url="&udftools-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &udftools-size;</para></listitem>
-<listitem><para>Estimated Disk space required: &udftools-buildsize;</para></listitem>
+<listitem><para>Estimated disk space required: &udftools-buildsize;</para></listitem>
 <listitem><para>Estimated build time: &udftools-time;</para></listitem></itemizedlist>
 </sect3>
@@ -45,8 +44,8 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink
-url="&patch-root;/linux-&linux-kernel-version;-packet-1.patch"/></para></listitem>
-<listitem><para>Patches for other kernel versions:
-<ulink url="http://w1.894.telia.com/~u89404340/patches/packet/"/></para></listitem>
+<listitem><para>Required patch: <ulink
+url="http://w1.894.telia.com/~u89404340/patches/packet/2.6/packet-2.6.8-2.patch.bz2"/></para></listitem>
+<listitem><para>Required patch: <ulink
+url="http://w1.894.telia.com/~u89404340/patches/packet/udftools-1.0.0b3.patch.bz2"/></para></listitem>
 </itemizedlist></sect3>
 
@@ -66,29 +65,17 @@
 the kernel source directory:</para>
 
-<screen><userinput><command>patch -Np1 -i ../linux-&linux-kernel-version;-packet-1.patch</command></userinput></screen>
+<screen><userinput><command>bzcat ../packet-2.6.8-2.patch.bz2 |patch -Np1</command></userinput></screen>
 
-<para>In the kernel configuration, check your setting with those listed
+<para>In the kernel configuration, modify your settings to match those listed
 here:</para>
 
 <screen>Block devices
-   Packet writing on CD/DVD media:       Y or M
-File Systems
-   UDF filesystems support (read only):  Y
-     UDF write support (DANGEROUS)       Y</screen>
+    Packet writing on CD/DVD media:       Y or M
+CD-ROM/DVD Filesystems
+    UDF file system support               Y or M</screen>
 
-<para>If necessary, recompile the kernel with:</para>
+<para>Recompile and install the new kernel.</para>
 
-<screen><userinput><command>make CC=/opt/gcc-2.95.3/bin/gcc dep &amp;&amp;
-make CC=/opt/gcc-2.95.3/bin/gcc bzImage &amp;&amp;
-make CC=/opt/gcc-2.95.3/bin/gcc modules &amp;&amp;
-make CC=/opt/gcc-2.95.3/bin/gcc modules_install</command></userinput></screen>
-
-<para>
-Copy <filename>/usr/src/linux/arch/i386/boot/bzImage</filename> and
-<filename>/usr/src/linux/System.map</filename> to
-<filename class="directory">/boot</filename>. If you utilize
-<application>LILO</application>, edit <filename>/etc/lilo.conf</filename>
-appropriately and run <command>lilo</command>.</para>
-
+<!--
 <para>If you built packet writer as a module, add the following to
 <filename>/etc/modules.conf</filename>:</para>
@@ -103,4 +90,5 @@
 <screen><userinput><command>mknod /dev/pktcdvd0 b 97 0
 mknod /dev/pktcdvd1 b 97 1</command></userinput></screen>
+-->
 
 </sect2>
@@ -113,5 +101,6 @@
 running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+<screen><userinput><command>bzcat ../udftools-1.0.0b3.patch.bz2 |patch -Np1 &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
@@ -123,6 +112,11 @@
 
 <para>The <application><acronym>UDF</acronym>tools</application> package 
-contains <command>pktsetup</command>, <command>cdrwtool</command>, and
-<command>mkudffs</command>.</para>
+contains
+<command>cdrwtool</command>,
+<command>mkudffs</command>,
+<command>pktsetup</command>,
+<command>udffsck</command>,
+<command>wrudf</command> and
+<filename class="libraryfile">libudffs</filename>.</para>
 
 </sect2>
@@ -164,3 +158,2 @@
 
 </sect1>
-