Index: general.ent
===================================================================
--- general.ent	(revision e3622d1d626d551ed29906c403fb1f229414ae53)
+++ general.ent	(revision 41666068d22e2e0fa36e2bf600b5a2b807765aea)
@@ -20,5 +20,5 @@
 <!ENTITY maintainer-fullname  "Randy McMurchy">
 <!ENTITY maintainer-firstname "Randy">
-<!ENTITY maintainer-address   "randy@&lfs-domainname;">
+<!ENTITY maintainer-address   "blfs-maintainer@&lfs-domainname;">
 
 <!ENTITY downloads-root       "http://www.linuxfromscratch.org/blfs/downloads/svn">
@@ -59,5 +59,5 @@
 <!-- End LFS versions -->
 
-<!ENTITY blfs-bootscripts-version     "20120127">
+<!ENTITY blfs-bootscripts-version     "20120206">
 <!ENTITY blfs-bootscripts-download    "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e3622d1d626d551ed29906c403fb1f229414ae53)
+++ introduction/welcome/changelog.xml	(revision 41666068d22e2e0fa36e2bf600b5a2b807765aea)
@@ -46,4 +46,9 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Merge Acknowledgements and Credits.  Simplify
+          Credits to names only.</para>
+        </listitem>
+      <itemizedlist>
+        <listitem>
           <para>[ken] - Add gst-plugins-bad based on Wayne's work and updated to 0.10.21.</para>
         </listitem>
Index: introduction/welcome/contact.xml
===================================================================
--- introduction/welcome/contact.xml	(revision e3622d1d626d551ed29906c403fb1f229414ae53)
+++ introduction/welcome/contact.xml	(revision 41666068d22e2e0fa36e2bf600b5a2b807765aea)
@@ -19,8 +19,8 @@
   <xref linkend="maillists"/> for more information on
   the available mailing lists.</para>
-
+<!--
   <para>The current BLFS maintainer is &maintainer-fullname;.
   If you need to reach &maintainer-firstname;, send an email to
-  <ulink url="mailto:&maintainer-address;">&maintainer-address;</ulink>.</para>
+  <ulink url="mailto:&maintainer-address;">&maintainer-address;</ulink>.</para> -->
 
 </sect1>
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision e3622d1d626d551ed29906c403fb1f229414ae53)
+++ introduction/welcome/credits.xml	(revision 41666068d22e2e0fa36e2bf600b5a2b807765aea)
@@ -20,8 +20,5 @@
   left people out and if you feel this is the case, drop us a line.  Many
   thanks to all of the LFS community for their assistance with
-  this project.  If you are in the list and wish to have your email address
-  included, again please drop us a line to &maintainer-address; and we'll
-  be happy to add it.  We don't include email addresses by default so if
-  you want it included, please state so when you contact us.</para>
+  this project. </para>
 
   <sect2>
@@ -29,344 +26,65 @@
 
     <itemizedlist>
-      <listitem>
-        <para><emphasis>Editor:</emphasis> Randy McMurchy <ulink
-        url="mailto:&maintainer-address;">&lt;&maintainer-address;&gt;</ulink></para>
-      </listitem>
-      <listitem>
-        <para><emphasis>Co-Editors:</emphasis> Wayne Blaszczyk, Guy Dalziel, Robert Daniels,
-        Richard Downing, Bruce Dubbs, Manuel Canales Esparcia, Ag Hatzimanikas,
-        David Jensen, DJ Lucas, Ken Moffet, Alexander Patrakov, Chris Staub,
-        Tushar Teredesai, Thomas Trepl, and Christian Wurst</para>
-      </listitem>
+
+      <listitem><para>Wayne Blaszczyk         </para></listitem>
+      <listitem><para>Guy Dalziel             </para></listitem>
+      <listitem><para>Robert Daniels          </para></listitem>
+      <listitem><para>Richard Downing         </para></listitem>
+      <listitem><para>Bruce Dubbs             </para></listitem>
+      <listitem><para>Manuel Canales Esparcia </para></listitem>
+      <listitem><para>Ag Hatzimanikas         </para></listitem>
+      <listitem><para>David Jensen            </para></listitem>
+      <listitem><para>DJ Lucas                </para></listitem>
+      <listitem><para>Randy McMurchy          </para></listitem>
+      <listitem><para>Ken Moffet              </para></listitem>
+      <listitem><para>Alexander Patrakov      </para></listitem>
+      <listitem><para>Chris Staub             </para></listitem>
+      <listitem><para>Tushar Teredesai        </para></listitem>
+      <listitem><para>Thomas Trepl            </para></listitem>
+      <listitem><para>Christian Wurst         </para></listitem>
+
     </itemizedlist>
-
   </sect2>
 
   <sect2>
-    <title>Text Authors</title>
+    <title>Contributors</title>
+
+    <para>The list of contributors is far too large to provide detailed
+    information about the contributions for each contributor.  Over the years,
+    the following individuals have provided significant inputs to the
+    book:</para>
 
     <itemizedlist>
 
-      <listitem>
-        <para>Chapter 01.  Based on the LFS introductory text by
-        <emphasis> Gerard Beekmans</emphasis>, modified by
-        <emphasis>Mark Hymers</emphasis> for BLFS.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 02: The /usr versus /usr/local debate:
-        <emphasis>Andrew McMurry</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 02: Going beyond BLFS:
-        <emphasis>Tushar Teredesai</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 02: Package Management:
-        <emphasis>Tushar Teredesai</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 02: Automated Building Procedures:
-        <emphasis>Randy McMurchy</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 02: Locale Related Issues:
-        <emphasis>Alexander Patrakov</emphasis> and
-        <emphasis>Randy McMurchy</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 03: /etc/inputrc:
-        <emphasis>Chris Lynn</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 03: Customizing your logon &amp; vimrc:
-        <emphasis>Mark Hymers</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 03: /etc/shells:
-        <emphasis>Igor Zivkovic</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 03: Random number script
-        <emphasis>Larry Lawrence</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 03: Creating a Custom Boot Device
-        <emphasis>Bruce Dubbs</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 03: The Bash Shell Startup Files
-        <emphasis>James Robertson</emphasis> revised by
-        <emphasis>Bruce Dubbs</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 03: Compressed docs
-        <emphasis>Olivier Peres</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 04: Firewalling:
-        <emphasis>Henning Rohde</emphasis> with thanks to
-        <emphasis>Jeff Bauman</emphasis>. Revised by
-        <emphasis>Bruce Dubbs</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 11: Which
-        <emphasis>Mark Hymers</emphasis> with many thanks to
-        <emphasis>Seth Klein</emphasis> and
-        <emphasis>Jesse Tie-Ten-Quee</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 23: X Window System Environment:
-        <emphasis>Bruce Dubbs</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapter 25: Intro to Window Managers:
-        <emphasis>Bruce Dubbs</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapters 26, 27, and 28: KDE:
-        <emphasis>Bruce Dubbs</emphasis>.</para>
-      </listitem>
-
-      <listitem>
-        <para>Chapters 29 and 30: GNOME:
-        <emphasis>Larry Lawrence</emphasis>.</para>
-      </listitem>
-
-    </itemizedlist>
-
-  </sect2>
-
-  <sect2>
-    <title>Installation Instruction Authors</title>
-
-    <itemizedlist>
-
-      <listitem>
-        <para>traceroute:
-        <emphasis>Jeff Bauman</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ProFTPD and rsync:
-        <emphasis>Daniel Baumann</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>joe, nano, nmap, slang, w3m and whois:
-        <emphasis>Timothy Bauscher</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>liboil, libunique:
-        <emphasis>Wayne Blaszczyk</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Fetchmail:<!-- and WvDial: -->
-        <emphasis>Paul Campbell</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>CDParanoia, mpg123, SDL and XMMS:
-        <emphasis>Jeroen Coumans</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ePDFView:
-        <emphasis>Guy Dalziel</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Amarok:
-        <emphasis>Robert Daniels</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>UDFtools, Perl modules (initial version) and Bluefish:
-        <emphasis>Richard Downing</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>sudo, wireless_tools:
-        <emphasis>Bruce Dubbs</emphasis></para>
-      </listitem>
-
-      <!-- <listitem>
-        <para>courier:
-        <emphasis>Jim Gifford</emphasis></para>
-      </listitem> -->
-
-      <listitem>
-        <para>tripwire:
-        <emphasis>Manfred Glombowski</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Dash and rxvt-unicode:
-        <emphasis>Ag Hatzimanikas</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>alsa, cvs, dhcpcd, gpm, hdparm, libjpeg, libmng, libpng,
-        libtiff, <!-- libungif, -->giflib, links, lynx, openssl, tcsh,
-        which and zsh:
-        <emphasis>Mark Hymers</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ALSA Firmware, ALSA OSS, inetutils, GLib, GTK+,
-        libxml and vim:
-        <emphasis>James Iwanek</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>db and lcms:
-        <emphasis>Jeremy Jones</emphasis> and
-        <emphasis>Mark Hymers</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>aalib, Alsa, ffmpeg, MPlayer, transcode, xvid and xsane:
-        <emphasis>Alex Kloss</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ntp:
-        <emphasis>Eric Konopka</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>AbiWord, at-spi, ATK, audiofile, avifile, bc, <!--bonobo-activation,-->
-        bug-buddy, cdrdao, cdrtools, cpio, curl, dhcp, eog, esound,
-        fcron, fluxbox, gail, galeon, gconf-editor, <!-- gdbm, --> gedit, gimp, GLib2,
-        gmp, gnet, gnome-applets, gnome-desktop, gnome-games, gnome-icon-theme,
-        gnome-libs, gnome-media, gnome-mime-data, gnome-panel, gnome-session,
-        gnome-system-monitor, gnome-terminal, gnome-themes, gnome-utils, gnome-vfs,
-        gnome-user-docs, gnumeric, GTK+2, gtk-doc, gtk-engines,
-        eel, imlib, intltool, lame, libao, libart_lgpl, libbonobo, libbonoboui,
-        libgail-gnome, libglade2, libgnome, libgnomecanvas, libgnomeprint,
-        libgnomeprintui, libgnomeui, libgsf, libgtkhtml, libgtop, libIDL, libogg,
-        librep, librsvg, libvorbis, libwnck, libxml2, libxslt, LPRng, Linux-PAM,
-        metacity, MIT Kerberos 5, MPlayer, mutt, nautilus, <!--oaf,--> OpenJade,
-        OpenSP, OpenSSH, <!--ORBit,--> ORBit2, pan, Pango, pcre, <!-- pkgconfig, --> postfix,
-        procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, sgml-common,
-        sgml-dtd, shadow, startup-notification, unzip, vorbis-tools, vte, wget, XFce,
-        xine, xml-dtd, yelp and zip:
-        <emphasis>Larry Lawrence</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Archive::Zip, cracklib, IcedTea6, IcedTea-Web, JDK6, ksh, libdrm,
-        libpcap, Mesa, <!-- ncpfs, --> <!-- RP-PPPoE, --> netfs, OpenOffice-2,
-        PPP (update), Samba-3, Subversion, Xorg-7 and xterm:
-        <emphasis>DJ Lucas</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ALSA Tools, Apache Ant, cairo, Cyrus-SASL, D-BUS,
-        D-Bus Bindings, DejaGnu,
-        desktop-file-utils, DocBook DSSSL Stylesheets, DocBook-utils,
-        dvd+rw-tools, Evince, Evolution Data Server, Exim (many
-        additions), Expect, FOP, FreeTTS, FriBidi, GC, GCC (rewrite), GMime,
-        gnome-audio, gnome-backgrounds, gnome-menus, gnome-mount,
-        gnome-screensaver, gnome-volume-manager, GNOME Doc Utils,
-        GNOME Keyring Manager, GnuCash (version 2), GnuPG2, GnuTLS, GOffice,
-        Graphviz,
-        GStreamer Base Plug-ins, GStreamer Good Plug-ins, GStreamer Ugly
-        Plug-ins, HAL, Heimdal, HTML Tidy, icon-naming-utils, ISO Codes,
-        JadeTeX, Java Access Bridge, JUnit, K3b, Libassuan, LessTif (rewrite),
-        libexif, libgail-gnome, libgcrypt, libgnomecups, libgnomekbd,
-        libgpg-error,
-        Libidn, Libksba, libmpeg2, libmusicbrainz, libquicktime,
-        mcs, MIT Kerberos V5 (many updates and enhancements), MPlayer
-        (extensive overhaul), NSS, Orca, Other Programming Tools, PDL,
-        Perl Modules, pilot-link,
-        PIN-Entry, pixman, Poppler, Pth, PyXML, Samba 3 (many additions),
-        SANE (original instructions by Alex Kloss),
-        Shadow (rewrite), SLIB, Sound Juicer,
-        Stunnel, Subversion Client (many additions), Sysstat,
-        system-tools-backends, Totem, unixODBC, Wireshark and usbutils:
-        <emphasis>Randy McMurchy</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>aspell, balsa, bind, <!-- bonobo, bonobo-conf,--> cvs server,
-        emacs, evolution, exim, expat, <!--gnome-print,-->
-        GnuCash, gtkhtml, <!--guppi,--> guile, leafnode, lesstif,
-        <!--libcapplet,--> libesmtp, <!--libghttp, libglade,--> pine, portmap,
-        PostgreSQL, qpopper, reiserfs, <!--Samba,--> sendmail,
-        slrn, <!--soup,--> teTeX, tcp-wrappers, and xinetd:
-        <emphasis>Billy O'Connor</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Gutenprint (originally named Gimp-Print), libusb, FAAC, FAAD2
-        and TIN:
-        <emphasis>Alexander E. Patrakov</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Screen:
-        <emphasis>Andreas Pedersen</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>nfs-utils:
-        <emphasis>Reinhard</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>ESP Ghostscript:
-        <emphasis>Matt Rogers</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>iptables:
-        <emphasis>Henning Rohde</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>fontconfig, gcc, <!--jdk,--> seamonkey, nas, openoffice, ispell,
-        mailx (formerly named Nail), ImageMagick, hd2u, tcl, tk and bind-utils:
-        <emphasis>Tushar Teredesai</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>MySQL:
-        <emphasis>Jesse Tie-Ten-Quee</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>PHP:
-        <emphasis>Jeremy Utley</emphasis></para>
-      </listitem>
-
-      <listitem>
-        <para>Ekiga, Epiphany, FLAC, File Roller, GNOME Magnifier,
-        GNOME Netstatus, GNOME Speech, GOK,
-        Imlib2, LZO, MC, NASM, Nautilus CD Burner,
-        Speex, XScreenSaver, Zenity, compface, freeglut, gcalctool, gucharmap,
-        id3lib, kde-i18n, kdeaccessibility, kdebindings, kdesdk, kdevelop,
-        kdewebdev, libFAME, liba52, libdv, libdvdcss, libdvdread, libmad,
-        libmikmod and libmpeg3:
-        <emphasis>Igor Zivkovic</emphasis></para>
-      </listitem>
+      <listitem><para>Timothy Bauscher    </para></listitem>
+      <listitem><para>Daniel Bauman       </para></listitem>
+      <listitem><para>Jeff Bauman         </para></listitem>
+      <listitem><para>Paul Campbell       </para></listitem>
+      <listitem><para>Nathan Coulson      </para></listitem>
+      <listitem><para>Jeroen Coumans      </para></listitem>
+      <listitem><para>Robert Daniels      </para></listitem>
+      <listitem><para>Richard Downing     </para></listitem>
+      <listitem><para>Jim Gifford         </para></listitem>
+      <listitem><para>Manfred Glombowski  </para></listitem>
+      <listitem><para>Mark Hymers         </para> </listitem>
+      <listitem><para>James Iwanek        </para> </listitem>
+      <listitem><para>Jeremy Jones        </para> </listitem>
+      <listitem><para>Seth Klein          </para></listitem>
+      <listitem><para>Alex Kloss          </para></listitem>
+      <listitem><para>Eric Konopka        </para></listitem>
+      <listitem><para>Larry Lawrence      </para></listitem>
+      <listitem><para>Chris Lynn          </para></listitem>
+      <listitem><para>Andrew McMurry      </para></listitem>
+      <listitem><para>Billy O'Connor      </para></listitem>
+      <listitem><para>Olivier Peres       </para></listitem>
+      <listitem><para>Andreas Pedersen    </para></listitem>
+      <listitem><para>Henning Rohde       </para></listitem>
+      <listitem><para>Matt Rogers         </para></listitem>
+      <listitem><para>James Robertson     </para></listitem>
+      <listitem><para>Henning Rohde       </para></listitem>
+      <listitem><para>Jesse Tie-Ten-Quee  </para></listitem>
+      <listitem><para>Jeremy Utley        </para></listitem>
+      <listitem><para>Zack Winkles        </para></listitem>
+      <listitem><para>Igor Zivkovic       </para></listitem>
 
     </itemizedlist>
@@ -379,153 +97,20 @@
     <itemizedlist>
 
-      <listitem>
-        <para><emphasis>Fernando Arbeiza</emphasis>
-        for doing great quality assurance on Shadow utilizing PAM.  The
-        machine access he saved may have been yours.</para>
-      </listitem>
+      <listitem><para>Fernando Arbeiza    </para></listitem>
+      <listitem><para>Miguel Bazdresch    </para></listitem>
+      <listitem><para>Gerard Beekmans     </para></listitem>
+      <listitem><para>Oliver Brakmann     </para></listitem>
+      <listitem><para>Jeremy Byron        </para></listitem>
+      <listitem><para>Ian Chilton         </para></listitem>
+      <listitem><para>David Ciecierski    </para></listitem>
+      <listitem><para>Jim Harris          </para></listitem>
+      <listitem><para>Lee Harris          </para></listitem>
+      <listitem><para>Marc Heerdink       </para></listitem>
+      <listitem><para>Steffen Knollmann   </para></listitem>
+      <listitem><para>Eric Konopka        </para></listitem>
+      <listitem><para>Scot McPherson      </para></listitem>
+      <listitem><para>Ted Riley           </para></listitem>
 
-      <listitem>
-        <para><emphasis>Archaic</emphasis>
-        for trouble shooting the mozilla section by performing multiple builds
-        and for providing a description of the various mozilla extensions.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Miguel Bazdresch</emphasis>
-        for many suggestions and contributions to the Other Programming Tools
-        section.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Gerard Beekmans</emphasis>
-        for generally putting up with us and for running the whole LFS
-        project.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Oliver Brakmann</emphasis>
-        for developing the dhcpcd patch for FHS compliance.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Ian Chilton</emphasis>
-        for writing the nfs hint.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Nathan Coulson</emphasis>
-        for writing the new network bootscripts.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Nathan Coulson</emphasis>,
-        <emphasis>DJ Lucas</emphasis> and
-        <emphasis>Zack Winkles</emphasis>
-        for reworking the bootscripts used throughout the book.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Jim Harris</emphasis>
-        for writing the dig-nslookup-host.txt hint on which the bind-utils
-        instructions are based.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Lee Harris</emphasis>
-        for writing the gpm.txt hint on which our gpm instructions
-        are based.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Marc Heerdink</emphasis>
-        for creating patches for tcp_wrappers and portmap and for writing
-        the gpm2.txt hint on which our gpm instruction are based.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Mark Hymers</emphasis>
-        for initiating the BLFS project and writing many of the initial chapters
-        of the book.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>J_Man</emphasis>
-        for submitting a gpm-1.19.3.diff file on which our gpm instructions
-        are based.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Jeremy Jones</emphasis>
-        (otherwise known as <emphasis>mca</emphasis>)
-        for hacking Makefiles and general assistance.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Steffen Knollmann</emphasis>
-        for revising the JadeTeX instructions to work with teTex-3.0.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Eric Konopka</emphasis>
-        for writing the ntp.txt hint on which the ntp section is based.</para>
-      </listitem>
-
-<!--
-      <listitem>
-        <para><emphasis>DJ Lucas</emphasis>
-        for contributing to dhcpcd patch and many contributions while
-        DHCP section was being developed and beyond.</para>
-      </listitem>
--->
-
-<!--
-      <listitem>
-        <para><emphasis>Randy McMurchy</emphasis>
-        for writing the Heimdal hint and for proofreading the book from cover
-        to cover for grammatical errors.</para>
-      </listitem>
--->
-
-      <listitem>
-        <para><emphasis>Scot McPherson</emphasis>
-        for writing the gnome-1.4.txt hint from which was gathered useful information
-        and for warning us that GNOME Version 2.0 may not be ready to put in the
-        book.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Billy O'Connor</emphasis>
-        for building GNOME 2.0 so many times and being very helpful with
-        his comments on that section.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Alexander E. Patrakov</emphasis>
-        for patches and suggestions to improve the book content, assistance
-        with alsa dev.d helpers, and increasing the l10n awareness.</para>
-      </listitem>
-
-      <listitem>
-        <para><emphasis>Ted Riley</emphasis>
-        for writing the Linux-PAM + CrackLib + Shadow hint on which
-        reinstalling Shadow to use PAM is based.</para>
-      </listitem>
-
-<!--
-      <listitem>
-        <para><emphasis>Tushar Teredesai</emphasis>
-        for writing the Compiling Java 2 SDK from Scratch hint on which jdk is
-        based and for writing the docbook hint used throughout the typesetting
-        chapter.</para>
-      </listitem>
--->
-
-      <listitem>
-        <para><emphasis>Jeremy Byron</emphasis> and
-        <emphasis>David Ciecierski</emphasis> for assisting with, modifying,
-        and testing various OpenOffice-2.0-pre builds and patches.</para>
-      </listitem>
     </itemizedlist>
-
   </sect2>
 
Index: introduction/welcome/welcome.xml
===================================================================
--- introduction/welcome/welcome.xml	(revision e3622d1d626d551ed29906c403fb1f229414ae53)
+++ introduction/welcome/welcome.xml	(revision 41666068d22e2e0fa36e2bf600b5a2b807765aea)
@@ -24,5 +24,5 @@
   quite a few of the conventions used throughout the book.</para>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="acknowledgments.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="acknowledgments.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="credits.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="which.xml"/>