Index: gnome/platform/adwaita-icon-theme.xml
===================================================================
--- gnome/platform/adwaita-icon-theme.xml	(revision 41975978f63840184f7c716125ab0f8b965d7f74)
+++ gnome/platform/adwaita-icon-theme.xml	(revision 41975978f63840184f7c716125ab0f8b965d7f74)
@@ -0,0 +1,177 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+
+  <!ENTITY adwaita-icon-theme-download-http
+   "&gnome-download-http;/adwaita-icon-theme/&gnome-minor-14;/adwaita-icon-theme-&adwaita-icon-theme-version;.tar.xz">
+  <!ENTITY adwaita-icon-theme-download-ftp
+   "&gnome-download-ftp;/adwaita-icon-theme/&gnome-minor-14;/adwaita-icon-theme-&adwaita-icon-theme-version;.tar.xz">
+  <!ENTITY adwaita-icon-theme-md5sum        "75ed0541d5939c415cb2e0e2010f639f">
+  <!ENTITY adwaita-icon-theme-size          "18 MB">
+  <!ENTITY adwaita-icon-theme-buildsize     "104 MB">
+  <!ENTITY adwaita-icon-theme-time          "1.1 SBU">
+]>
+
+<sect1 id="adwaita-icon-theme" xreflabel="adwaita-icon-theme-&adwaita-icon-theme-version;">
+  <?dbhtml filename="adwaita-icon-theme.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>adwaita-icon-theme-&adwaita-icon-theme-version;</title>
+
+  <indexterm zone="adwaita-icon-theme">
+    <primary sortas="a-adwaita-icon-theme">adwaita-icon-theme</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Adwaita Icon Theme</title>
+
+    <para>
+      The <application>Adwaita Icon Theme</application> package contains an
+      icon theme for <application>Gtk+ 3</application> applications.
+    </para>
+
+    &lfs76_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&adwaita-icon-theme-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&adwaita-icon-theme-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &adwaita-icon-theme-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &adwaita-icon-theme-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &adwaita-icon-theme-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &adwaita-icon-theme-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Adwaita Icon Theme Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gtk2"/> or
+      <xref linkend="gtk3"/> with
+      <xref linkend="librsvg"/> or both
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="git"/>,
+      <xref linkend="inkscape"/> and
+      <ulink url="https://launchpad.net/icontool/">Icon Tools</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/adwaita-icon-theme"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Adwaita Icon Theme</title>
+
+    <para>
+      Install <application>Adwaita Icon Theme</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+<!--
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>-\-disable-gtk2-engine</option>: This switch disables GTK+-2
+      theming engine.
+    </para>
+
+    <para>
+      <option>-\-disable-gtk3-engine</option>: This switch disables GTK+-3
+      theming engine.
+    </para>
+
+  </sect2>-->
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+       <seg>
+          None
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/share/icons/Adwaita/
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libadwaita">
+        <term><filename class="libraryfile">libadwaita.so</filename></term>
+        <listitem>
+          <para>
+            is the Adwaita <application>GTK+</application> theme.
+          </para>
+          <indexterm zone="adwaita-icon-theme libadwaita">
+            <primary sortas="c-libadwaita">libadwaita.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+/usr/share/icons/Adwaita/
+    </variablelist>-->
+
+  </sect2>
+
+</sect1>
Index: gnome/platform/platform.xml
===================================================================
--- gnome/platform/platform.xml	(revision d5ab525759c01fc33afab20cdf7d96166dde9822)
+++ gnome/platform/platform.xml	(revision 41975978f63840184f7c716125ab0f8b965d7f74)
@@ -54,4 +54,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dconf.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="adwaita-icon-theme.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-extras.xml"/>