Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision da067b4d93dd66cff8ad982ca8e6170544d46fc3)
+++ introduction/welcome/changelog.xml	(revision 44874947e7c8c8a790ec0b87e2ffbe74e05bc1a9)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[dnicholson] - Reworked Xorg download links.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Added a sed and a patch to allow Vorbis-Tools to link
           against cURL and FLAC respectively. Fixes Trac ticket #2240. Patch
Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision da067b4d93dd66cff8ad982ca8e6170544d46fc3)
+++ x/installing/x7app.xml	(revision 44874947e7c8c8a790ec0b87e2ffbe74e05bc1a9)
@@ -7,4 +7,5 @@
   <!ENTITY x7apps-download-http "http://xorg.freedesktop.org/releases/individual/app/">
   <!ENTITY x7apps-download-ftp  "ftp://ftp.x.org/pub/individual/app/">
+  <!ENTITY x7apps-wget          "&files-anduin;/xorg/app-&xorg7-version;.wget">
   <!ENTITY x7apps-md5sum        "&files-anduin;/xorg/md5sums-&xorg7-version;">
   <!ENTITY x7apps-size          "9.0 MB">
@@ -57,4 +58,11 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required download list: <ulink url="&x7apps-wget;"/></para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Xorg Applications Dependencies</bridgehead>
 
@@ -81,6 +89,5 @@
     use the following commands:</para>
 
-<screen><userinput>wget &files-anduin;/xorg/app-&xorg7-version;.wget &amp;&amp;
-mkdir app &amp;&amp;
+<screen><userinput>mkdir app &amp;&amp;
 cd app &amp;&amp;
 grep -v '^#' ../app-&xorg7-version;.wget | wget -i- \
Index: x/installing/x7data.xml
===================================================================
--- x/installing/x7data.xml	(revision da067b4d93dd66cff8ad982ca8e6170544d46fc3)
+++ x/installing/x7data.xml	(revision 44874947e7c8c8a790ec0b87e2ffbe74e05bc1a9)
@@ -7,4 +7,5 @@
   <!ENTITY x7data-download-http "http://xorg.freedesktop.org/releases/individual/data/">
   <!ENTITY x7data-download-ftp  "ftp://ftp.x.org/pub/individual/data/">
+  <!ENTITY x7data-wget          "&files-anduin;/xorg/data-&xorg7-version;.wget">
   <!ENTITY x7data-md5sum        "&files-anduin;/xorg/md5sums-&xorg7-version;">
   <!ENTITY x7data-size          "2.1 MB">
@@ -57,4 +58,11 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required download list: <ulink url="&x7data-wget;"/></para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Xorg Data Dependencies</bridgehead>
 
@@ -73,6 +81,5 @@
     use the following commands:</para>
 
-<screen><userinput>wget &files-anduin;/xorg/data-&xorg7-version;.wget &amp;&amp;
-mkdir data &amp;&amp;
+<screen><userinput>mkdir data &amp;&amp;
 cd data &amp;&amp;
 grep -v '^#' ../data-&xorg7-version;.wget | wget -i- \
Index: x/installing/x7driver.xml
===================================================================
--- x/installing/x7driver.xml	(revision da067b4d93dd66cff8ad982ca8e6170544d46fc3)
+++ x/installing/x7driver.xml	(revision 44874947e7c8c8a790ec0b87e2ffbe74e05bc1a9)
@@ -7,4 +7,5 @@
   <!ENTITY x7drivers-download-http "http://xorg.freedesktop.org/releases/individual/driver/">
   <!ENTITY x7drivers-download-ftp  "ftp://ftp.x.org/pub/individual/driver/">
+  <!ENTITY x7drivers-wget          "&files-anduin;/xorg/driver-&xorg7-version;.wget">
   <!ENTITY x7drivers-md5sum        "&files-anduin;/xorg/md5sums-&xorg7-version;">
   <!ENTITY x7drivers-size          "16.7 MB">
@@ -56,4 +57,11 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required download list: <ulink url="&x7drivers-wget;"/></para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Xorg Drivers Dependencies</bridgehead>
 
@@ -75,6 +83,5 @@
     use the following commands:</para>
 
-<screen><userinput>wget &files-anduin;/xorg/driver-&xorg7-version;.wget &amp;&amp;
-mkdir driver &amp;&amp;
+<screen><userinput>mkdir driver &amp;&amp;
 cd driver &amp;&amp;
 grep -v '^#' ../driver-&xorg7-version;.wget | wget -i- \
Index: x/installing/x7font.xml
===================================================================
--- x/installing/x7font.xml	(revision da067b4d93dd66cff8ad982ca8e6170544d46fc3)
+++ x/installing/x7font.xml	(revision 44874947e7c8c8a790ec0b87e2ffbe74e05bc1a9)
@@ -7,4 +7,5 @@
   <!ENTITY x7fonts-download-http "http://xorg.freedesktop.org/releases/individual/font/">
   <!ENTITY x7fonts-download-ftp  "ftp://ftp.x.org/pub/individual/font/">
+  <!ENTITY x7fonts-wget          "&files-anduin;/xorg/font-&xorg7-version;.wget">
   <!ENTITY x7fonts-md5sum        "&files-anduin;/xorg/md5sums-&xorg7-version;">
   <!ENTITY x7fonts-size          "13.0 MB">
@@ -55,4 +56,11 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required download list: <ulink url="&x7fonts-wget;"/></para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required"><xref linkend="xorg7-data"/> and
@@ -70,6 +78,5 @@
     use the following commands:</para>
 
-<screen><userinput>wget &files-anduin;/xorg/font-&xorg7-version;.wget &amp;&amp;
-mkdir font &amp;&amp;
+<screen><userinput>mkdir font &amp;&amp;
 cd font &amp;&amp;
 grep -v '^#' ../font-&xorg7-version;.wget | wget -i- \
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision da067b4d93dd66cff8ad982ca8e6170544d46fc3)
+++ x/installing/x7lib.xml	(revision 44874947e7c8c8a790ec0b87e2ffbe74e05bc1a9)
@@ -7,4 +7,5 @@
   <!ENTITY x7libs-download-http "http://xorg.freedesktop.org/releases/individual/lib/">
   <!ENTITY x7libs-download-ftp  "ftp://ftp.x.org/pub/individual/lib/">
+  <!ENTITY x7libs-wget          "&files-anduin;/xorg/lib-&xorg7-version;.wget">
   <!ENTITY x7libs-md5sum        "&files-anduin;/xorg/md5sums-&xorg7-version;">
   <!ENTITY x7libs-size          "11.4 MB">
@@ -59,8 +60,12 @@
     </itemizedlist>
 
-    <!-- Following patch should be fixed in libX11-1.1.3 if released
-        prior to Xorg-7.3 -->
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required download list: <ulink url="&x7libs-wget;"/></para>
+      </listitem>
+
+      <!-- Following patch should be fixed in libX11-1.1.3 if released
+           prior to Xorg-7.3 -->
       <listitem>
         <para>Required patch: <ulink
@@ -91,6 +96,5 @@
     use the following commands:</para>
 
-<screen><userinput>wget &files-anduin;/xorg/lib-&xorg7-version;.wget &amp;&amp;
-mkdir lib &amp;&amp;
+<screen><userinput>mkdir lib &amp;&amp;
 cd lib &amp;&amp;
 grep -v '^#' ../lib-&xorg7-version;.wget | wget -i- \
Index: x/installing/x7proto.xml
===================================================================
--- x/installing/x7proto.xml	(revision da067b4d93dd66cff8ad982ca8e6170544d46fc3)
+++ x/installing/x7proto.xml	(revision 44874947e7c8c8a790ec0b87e2ffbe74e05bc1a9)
@@ -7,4 +7,5 @@
   <!ENTITY x7proto-download-http "http://xorg.freedesktop.org/releases/individual/proto/">
   <!ENTITY x7proto-download-ftp  "ftp://ftp.x.org/pub/individual/proto/">
+  <!ENTITY x7proto-wget          "&files-anduin;/xorg/proto-&xorg7-version;.wget">
   <!ENTITY x7proto-md5sum        "&files-anduin;/xorg/md5sums-&xorg7-version;">
   <!ENTITY x7proto-size          "1.4 MB">
@@ -62,4 +63,11 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required download list: <ulink url="&x7proto-wget;"/></para>
+      </listitem>
+    </itemizedlist>
+
     <para condition="html" role="usernotes">User Notes:
     <ulink url='&blfs-wiki;/Xorg7ProtocolHeaders'/></para>
@@ -73,6 +81,5 @@
     use the following commands:</para>
 
-<screen><userinput>wget &files-anduin;/xorg/proto-&xorg7-version;.wget &amp;&amp;
-mkdir proto &amp;&amp;
+<screen><userinput>mkdir proto &amp;&amp;
 cd proto &amp;&amp;
 grep -v '^#' ../proto-&xorg7-version;.wget | wget -i- \
Index: x/installing/x7util.xml
===================================================================
--- x/installing/x7util.xml	(revision da067b4d93dd66cff8ad982ca8e6170544d46fc3)
+++ x/installing/x7util.xml	(revision 44874947e7c8c8a790ec0b87e2ffbe74e05bc1a9)
@@ -7,4 +7,5 @@
   <!ENTITY x7utils-download-http "http://xorg.freedesktop.org/releases/individual/util/">
   <!ENTITY x7utils-download-ftp  "ftp://ftp.x.org/pub/individual/util/">
+  <!ENTITY x7utils-wget          "&files-anduin;/xorg/util-&xorg7-version;.wget">
   <!ENTITY x7utils-md5sum        "&files-anduin;/xorg/md5sums-&xorg7-version;">
   <!ENTITY x7utils-size          "664 KB">
@@ -58,4 +59,11 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required download list: <ulink url="&x7utils-wget;"/></para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Xorg Utilities Dependencies</bridgehead>
 
@@ -75,6 +83,5 @@
     use the following commands:</para>
 
-<screen><userinput>wget &files-anduin;/xorg/util-&xorg7-version;.wget &amp;&amp;
-mkdir util &amp;&amp;
+<screen><userinput>mkdir util &amp;&amp;
 cd util &amp;&amp;
 grep -v '^#' ../util-&xorg7-version;.wget | wget -i- \