Index: gnome-systemd/applications/cheese.xml
===================================================================
--- gnome-systemd/applications/cheese.xml	(revision 49454585d89613f7480e4bc377cdf39e7f6f6558)
+++ gnome-systemd/applications/cheese.xml	(revision 49454585d89613f7480e4bc377cdf39e7f6f6558)
@@ -0,0 +1,207 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY cheese-download-http "&gnome-download-http;/cheese/&gnome-minor;/cheese-&cheese-version;.tar.xz">
+  <!ENTITY cheese-download-ftp  "&gnome-download-ftp;/cheese/&gnome-minor;/cheese-&cheese-version;.tar.xz">
+  <!ENTITY cheese-md5sum        "fab1e00717d8f3e027b9bb79299e12e8">
+  <!ENTITY cheese-size          "1.7 MB">
+  <!ENTITY cheese-buildsize     "22 MB">
+  <!ENTITY cheese-time          "0.4 SBU">
+]>
+
+<sect1 id="cheese" xreflabel="Cheese-&cheese-version;">
+  <?dbhtml filename="cheese.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Cheese-&cheese-version;</title>
+
+  <indexterm zone="cheese">
+    <primary sortas="a-Cheese">Cheese</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Cheese</title>
+
+    <para>
+      <application>Cheese</application> is used to take
+      photos and videos with fun graphical effects.
+    </para>
+
+    &lfs76_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&cheese-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&cheese-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &cheese-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &cheese-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &cheese-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &cheese-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Cheese Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="clutter-gst2"/>,
+      <xref linkend="clutter-gtk"/>,
+      <xref linkend="gnome-desktop"/>,
+      <xref linkend="gnome-video-effects"/>,
+      <xref linkend="gst10-plugins-bad"/>,
+      <xref linkend="gst10-plugins-good"/>,
+      <xref linkend="libcanberra"/>,
+      <xref linkend="librsvg"/>,
+      <xref linkend="systemd"/> (for GUdev), and
+      <xref linkend="yelp-xsl"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="appdata-tools"/>,
+      <xref linkend="gobject-introspection"/>, and
+      <xref linkend="vala"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/> and
+      <xref linkend="nautilus-sendto"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/cheese"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Cheese</title>
+
+    <para>
+      Install <application>Cheese</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not have a working testsuite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          cheese
+        </seg>
+        <seg>
+          libcheese.so and libcheese-gtk.so
+        </seg>
+        <seg>
+          /usr/include/cheese,
+          /usr/share/gtk-doc/html/cheese, and
+          /usr/share/help/*/cheese
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cheese-prog">
+        <term><command>cheese</command></term>
+        <listitem>
+          <para>
+            is the webcam tool with graphical effects.
+          </para>
+          <indexterm zone="cheese cheese-prog">
+            <primary sortas="b-cheese">cheese</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcheese">
+        <term><filename class="libraryfile">libcheese.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>Cheese</application> API functions.
+          </para>
+          <indexterm zone="cheese libcheese">
+            <primary sortas="c-libcheese">libcheese.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcheese-gtk">
+        <term><filename class="libraryfile">libcheese-gtk.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>Cheese</application>
+            <application>GTK+</application> widgets.
+          </para>
+          <indexterm zone="cheese libcheese-gtk">
+            <primary sortas="c-libcheese-gtk">libcheese-gtk.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>